(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 12.2' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[    199403,       4179]
NotebookOptionsPosition[    195474,       4107]
NotebookOutlinePosition[    196004,       4126]
CellTagsIndexPosition[    195961,       4123]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{"**", 
    RowBox[{
    "*", " ", "QB2X", " ", "Method", " ", "Single", " ", "Layer", " ", 
     "Potential", " ", "Solver"}]}], " ", "****)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"Clear", "[", "\"\<Global`*\>\"", "]"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"ParallelEvaluate", "@", 
     RowBox[{"Off", "[", 
      RowBox[{"NIntegrate", "::", "precw"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"ParallelEvaluate", "@", 
     RowBox[{"Off", "[", 
      RowBox[{"NIntegrate", "::", "ncvb"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"ParallelEvaluate", "@", 
     RowBox[{"Off", "[", 
      RowBox[{"General", "::", "subpar"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"ParallelEvaluate", "@", 
     RowBox[{"Off", "[", 
      RowBox[{"Part", "::", "partd"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"ParallelEvaluate", "@", 
     RowBox[{"Off", "[", 
      RowBox[{"NIntegrate", "::", "inumr"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Off", "[", 
     RowBox[{"NIntegrate", "::", "precw"}], "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Unprotect", "[", "Power", "]"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"Power", "[", 
      RowBox[{
       RowBox[{"0", "|", "0."}], ",", 
       RowBox[{"0", "|", "0."}]}], "]"}], "=", "1"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Protect", "[", "Power", "]"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"SetDirectory", "[", 
     RowBox[{"NotebookDirectory", "[", "]"}], "]"}], ";"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{"**", 
     RowBox[{"*", " ", "DEFINITIONS"}]}], " ", "****)"}], 
   "\[IndentingNewLine]", 
   RowBox[{"(*", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"k", ":", " ", 
      RowBox[{"wave", " ", "number"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"P", ":", " ", 
      RowBox[{
      "highest", " ", "order", " ", "term", " ", "for", " ", "exponential", 
       " ", "expansion", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"2", "P"}], " ", "+", " ", 
         RowBox[{"1", " ", "terms"}]}], ")"}]}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"n", ":", " ", 
      RowBox[{
      "highest", " ", "number", " ", "of", " ", "polynomial", " ", "terms", 
       " ", "to", " ", "precompute"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"dt", ":", " ", 
      RowBox[{
      "number", " ", "of", " ", "discretization", " ", "points", " ", "on", 
       " ", "the", " ", "domain", " ", "for", " ", "Least", " ", 
       "Squares"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"g", ":", " ", 
      RowBox[{
      "number", " ", "of", " ", "grid", " ", "points", " ", "along", " ", "X",
        " ", "and", " ", "Y", " ", "axes"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"rho", "[", 
       RowBox[{"p", ",", "s"}], "]"}], ":", " ", 
      RowBox[{
      "density", " ", "function", " ", "modeled", " ", "as", " ", "an", " ", 
       "exponential", " ", "with", " ", "period", " ", 
       RowBox[{"p", " ", "@", " ", "s"}]}]}], ";", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"sc", "[", "s", "]"}], ":", " ", 
      RowBox[{"approximating", " ", "polynomial", " ", "boundary", " ", 
       RowBox[{"function", " ", "@", " ", "s"}]}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"scp", "[", "s", "]"}], ":", " ", 
      RowBox[{"gradient", " ", "of", " ", "boundary", " ", 
       RowBox[{"function", " ", "@", " ", "s"}]}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"root", "[", "j", "]"}], ":", " ", 
      RowBox[{
       RowBox[{"root", " ", 
        RowBox[{"function", " ", "@", " ", "j"}]}], "-", 
       RowBox[{"th", " ", "root", " ", "of", " ", "c"}]}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"z", "[", "s", "]"}], ":", " ", 
      RowBox[{"polar", " ", "transform", " ", "function", " ", 
       RowBox[{"(", "Jacobian", ")"}], " ", "of", " ", 
       RowBox[{
        RowBox[{"sc", "[", "s", "]"}], " ", "@", " ", "s"}]}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"c", ":", " ", 
      RowBox[{
      "centerpoint", " ", "for", " ", "a", " ", "leafbox", " ", "containing", 
       " ", "the", " ", "target", " ", "point"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"cConj", ":", " ", 
      RowBox[{
      "conjugate", " ", "of", " ", "c", " ", "for", " ", "shorthand"}]}], 
     ";"}], "\[IndentingNewLine]", "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"k", "=", "1"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"P", "=", "100"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"n", "=", "20"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"dt", "=", 
     RowBox[{"4", "*", "P"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"g", "=", "20"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"rho", "[", "s_", "]"}], ":=", "1"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"sc", "[", "s_", "]"}], ":=", 
     RowBox[{
      RowBox[{"s", "^", "2"}], "+", 
      RowBox[{
       RowBox[{"s", "^", "3"}], "/", "10"}], "-", 
      RowBox[{"2", "*", 
       RowBox[{"s", "^", "4"}]}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"scp", "[", "s_", "]"}], ":=", 
     RowBox[{
      RowBox[{"sc", "'"}], "[", "s", "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"root", "[", "j_", "]"}], ":=", 
     RowBox[{"1", "+", 
      RowBox[{"I", "*", 
       RowBox[{"scp", "[", "j", "]"}]}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"z", "[", "s_", "]"}], ":=", 
     RowBox[{"Sqrt", "[", 
      RowBox[{"1", "+", 
       RowBox[{
        RowBox[{"scp", "[", "s", "]"}], "^", "2"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"c", "=", 
     RowBox[{"0", "-", 
      RowBox[{"I", "*", 
       FractionBox["1", "3"]}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"cConj", "=", 
     RowBox[{"Conjugate", "[", "c", "]"}]}], ";"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{"**", 
     RowBox[{"*", " ", "Helper", " ", "function", " ", "definitions"}]}], " ",
     "****)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"Fpos", "[", 
      RowBox[{"idx_", ",", "tau_"}], "]"}], ":=", 
     RowBox[{"Sum", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"Fcoefs", "[", 
         RowBox[{"[", 
          RowBox[{"idx", ",", 
           RowBox[{"p", "+", "P", "+", "1"}]}], "]"}], "]"}], "*", 
        RowBox[{"E", "^", 
         RowBox[{"(", 
          RowBox[{"I", "*", "p", "*", 
           RowBox[{"(", 
            RowBox[{"Pi", "/", "2"}], ")"}], "*", "tau"}], ")"}]}]}], ",", 
       RowBox[{"{", 
        RowBox[{"p", ",", "0", ",", "P"}], "}"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"Fneg", "[", 
      RowBox[{"idx_", ",", "tau_"}], "]"}], ":=", 
     RowBox[{"Sum", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"Fcoefs", "[", 
         RowBox[{"[", 
          RowBox[{"idx", ",", 
           RowBox[{"p", "+", "P", "+", "1"}]}], "]"}], "]"}], "*", 
        RowBox[{"E", "^", 
         RowBox[{"(", 
          RowBox[{"I", "*", "p", "*", 
           RowBox[{"(", 
            RowBox[{"Pi", "/", "2"}], ")"}], "*", "tau"}], ")"}]}]}], ",", 
       RowBox[{"{", 
        RowBox[{"p", ",", 
         RowBox[{"-", "P"}], ",", 
         RowBox[{"-", "1"}]}], "}"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"F", "[", 
      RowBox[{"idx_", ",", "tau_"}], "]"}], ":=", 
     RowBox[{
      RowBox[{"Fpos", "[", 
       RowBox[{"idx", ",", "tau"}], "]"}], "+", 
      RowBox[{"Fneg", "[", 
       RowBox[{"idx", ",", "tau"}], "]"}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"SFpos", "[", 
      RowBox[{"idx_", ",", "tau_"}], "]"}], ":=", 
     RowBox[{"Sum", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"SFcoefs", "[", 
         RowBox[{"[", 
          RowBox[{"idx", ",", 
           RowBox[{"p", "+", "P", "+", "1"}]}], "]"}], "]"}], "*", 
        RowBox[{"E", "^", 
         RowBox[{"(", 
          RowBox[{"I", "*", "p", "*", 
           RowBox[{"(", 
            RowBox[{"Pi", "/", "2"}], ")"}], "*", "tau"}], ")"}]}]}], ",", 
       RowBox[{"{", 
        RowBox[{"p", ",", "0", ",", "P"}], "}"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"SFneg", "[", 
      RowBox[{"idx_", ",", "tau_"}], "]"}], ":=", 
     RowBox[{"Sum", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"SFcoefs", "[", 
         RowBox[{"[", 
          RowBox[{"idx", ",", 
           RowBox[{"p", "+", "P", "+", "1"}]}], "]"}], "]"}], "*", 
        RowBox[{"E", "^", 
         RowBox[{"(", 
          RowBox[{"I", "*", "p", "*", 
           RowBox[{"(", 
            RowBox[{"Pi", "/", "2"}], ")"}], "*", "tau"}], ")"}]}]}], ",", 
       RowBox[{"{", 
        RowBox[{"p", ",", 
         RowBox[{"-", "P"}], ",", 
         RowBox[{"-", "1"}]}], "}"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"SF", "[", 
      RowBox[{"idx_", ",", "tau_"}], "]"}], ":=", 
     RowBox[{
      RowBox[{"SFpos", "[", 
       RowBox[{"idx", ",", "tau"}], "]"}], "+", 
      RowBox[{"SFneg", "[", 
       RowBox[{"idx", ",", "tau"}], "]"}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"I1", "[", "idx_", "]"}], ":=", 
     RowBox[{"N", "[", 
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{"F", "[", 
          RowBox[{"idx", ",", "1"}], "]"}], "*", 
         RowBox[{"Log", "[", 
          RowBox[{
           RowBox[{"R", "[", 
            RowBox[{
             RowBox[{"wevalPoints", "[", 
              RowBox[{"[", "idx", "]"}], "]"}], ",", "1"}], "]"}], "^", "2"}],
           "]"}]}], "-", 
        RowBox[{
         RowBox[{"F", "[", 
          RowBox[{"idx", ",", 
           RowBox[{"-", "1"}]}], "]"}], "*", 
         RowBox[{"Log", "[", 
          RowBox[{
           RowBox[{"R", "[", 
            RowBox[{
             RowBox[{"wevalPoints", "[", 
              RowBox[{"[", "idx", "]"}], "]"}], ",", 
             RowBox[{"-", "1"}]}], "]"}], "^", "2"}], "]"}]}]}], ",", "24"}], 
      "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"I4", "[", "idx_", "]"}], ":=", 
     RowBox[{"NIntegrate", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"L2", "[", 
         RowBox[{
          RowBox[{"wevalPoints", "[", 
           RowBox[{"[", "idx", "]"}], "]"}], ",", "tau"}], "]"}], "*", 
        RowBox[{"rho", "[", "tau", "]"}]}], ",", 
       RowBox[{"{", 
        RowBox[{"tau", ",", 
         RowBox[{"-", "1"}], ",", "1"}], "}"}], ",", " ", 
       RowBox[{"PrecisionGoal", "\[Rule]", "24"}], ",", " ", 
       RowBox[{"AccuracyGoal", "\[Rule]", "24"}], ",", " ", 
       RowBox[{"WorkingPrecision", "\[Rule]", "50"}], ",", " ", 
       RowBox[{"MaxRecursion", "\[Rule]", "100"}]}], "]"}]}], 
    ";"}]}]}]], "Input",
 CellChangeTimes->{{3.859839341017434*^9, 3.8598394928164434`*^9}, {
   3.859839545102209*^9, 3.859839566546983*^9}, {3.8598402317040157`*^9, 
   3.8598402560597982`*^9}, {3.8598404599367375`*^9, 3.85984046132288*^9}, {
   3.8598409255853977`*^9, 3.859840962425852*^9}, {3.8598410284762783`*^9, 
   3.85984118652166*^9}, {3.8598412915034723`*^9, 3.859841294018503*^9}, {
   3.859841629871193*^9, 3.859841653368147*^9}, {3.8598422332351384`*^9, 
   3.859842239407062*^9}, {3.8598422757615843`*^9, 3.859842279760612*^9}, {
   3.8598423507497993`*^9, 3.859842515793358*^9}, {3.85984463070593*^9, 
   3.859844631468658*^9}, 3.8598449170368614`*^9, {3.85984510363993*^9, 
   3.8598451046400833`*^9}, {3.859845149692937*^9, 3.859845172663107*^9}, {
   3.85989411427485*^9, 3.8598941150901546`*^9}, {3.8620452983054132`*^9, 
   3.8620453143216267`*^9}, {3.862045460309537*^9, 3.862045481998016*^9}, {
   3.8620460190348873`*^9, 3.8620460192628837`*^9}, {3.86204648724102*^9, 
   3.8620464873032765`*^9}, {3.8622971355883927`*^9, 
   3.8622971358080406`*^9}, {3.8622976082857294`*^9, 
   3.8622976268839903`*^9}, {3.862298273438054*^9, 3.8622982738047714`*^9}, {
   3.862298735214143*^9, 3.862298736638174*^9}, {3.8622991609298267`*^9, 
   3.862299175884168*^9}, {3.8622992242920074`*^9, 3.8622992282350035`*^9}, {
   3.8622993247932787`*^9, 3.86229941096309*^9}, {3.8622999561862926`*^9, 
   3.862299970153038*^9}, {3.862300063058636*^9, 3.8623000704019127`*^9}, {
   3.862300288081063*^9, 3.8623002881469927`*^9}, {3.8623010619762487`*^9, 
   3.862301062395756*^9}, {3.8623014041495724`*^9, 3.8623014044982524`*^9}, {
   3.862301747760682*^9, 3.862301752457101*^9}, {3.8623018498047743`*^9, 
   3.8623018558612194`*^9}, {3.8623027539893093`*^9, 
   3.8623027617394595`*^9}, {3.8623037174731693`*^9, 3.862303717534261*^9}, {
   3.862304602143609*^9, 3.862304602659889*^9}, {3.862311946393673*^9, 
   3.8623119478892336`*^9}, {3.8623127861798944`*^9, 3.862312824149786*^9}, {
   3.8623141182639523`*^9, 3.8623141195615077`*^9}, {3.862317320447114*^9, 
   3.862317330776812*^9}, {3.862317768914316*^9, 3.862317769980606*^9}, {
   3.862317966769899*^9, 3.8623179840894766`*^9}, {3.8623188365818377`*^9, 
   3.8623188382903323`*^9}, 3.86233577145778*^9, {3.862336376331904*^9, 
   3.862336388961733*^9}, {3.862342681824836*^9, 3.862342691002535*^9}, {
   3.8623428142618484`*^9, 3.862342841068867*^9}, {3.8623440042195244`*^9, 
   3.86234402696738*^9}, 3.862344960051016*^9, {3.8623451979251833`*^9, 
   3.862345198257896*^9}, {3.862345328994771*^9, 3.862345329938575*^9}, {
   3.862345484673565*^9, 3.862345511011347*^9}, {3.8623457526866493`*^9, 
   3.8623457532230434`*^9}, {3.862346417665829*^9, 3.862346418666602*^9}, {
   3.862346806191478*^9, 3.86234683229237*^9}, 3.8623469471617126`*^9, 
   3.8623470600919933`*^9, 3.862347137485848*^9, {3.86234728380158*^9, 
   3.862347284951688*^9}, 3.862347557205454*^9, {3.862347734734892*^9, 
   3.862347735266637*^9}, {3.8623480056977086`*^9, 3.8623480082540755`*^9}, {
   3.8623480598388796`*^9, 3.8623480603063383`*^9}, {3.862348125230853*^9, 
   3.862348153928729*^9}, {3.862348214026926*^9, 3.862348220325675*^9}, {
   3.862348583293882*^9, 3.8623485833700266`*^9}, {3.862348806537098*^9, 
   3.862348807353718*^9}, {3.862348997035404*^9, 3.8623489992065725`*^9}, {
   3.862349291198648*^9, 3.8623492921686296`*^9}, {3.862349359248664*^9, 
   3.8623494752780285`*^9}, 3.862349525108489*^9, {3.862349911911959*^9, 
   3.8623499129062614`*^9}, 3.8623516331426325`*^9, {3.8623818609880085`*^9, 
   3.862381863332361*^9}, {3.862382446982179*^9, 3.862382452048067*^9}, 
   3.8623828857957044`*^9, {3.862383432084397*^9, 3.8623834339954295`*^9}, {
   3.8623850307615204`*^9, 3.862385059340942*^9}, 3.8623852329821167`*^9, {
   3.8623857049693203`*^9, 3.862385714085434*^9}, {3.8623864247315483`*^9, 
   3.86238642614135*^9}, {3.8623866066833334`*^9, 3.8623866584711094`*^9}, {
   3.8623899353156633`*^9, 3.862389936105389*^9}, {3.8623906708117285`*^9, 
   3.86239069928378*^9}, {3.8624056014975977`*^9, 3.8624056257790985`*^9}, {
   3.8624057285215116`*^9, 3.862405731768074*^9}, {3.8624061111602535`*^9, 
   3.8624061151277847`*^9}, {3.8624063203374405`*^9, 
   3.8624063351633916`*^9}, {3.8624066196742554`*^9, 
   3.8624066215169487`*^9}, {3.86240693408867*^9, 3.862406942061692*^9}, {
   3.862415625510584*^9, 3.862415683766173*^9}, {3.8624166225953145`*^9, 
   3.8624166325829363`*^9}, {3.862418702383951*^9, 3.8624187025733347`*^9}, 
   3.8624297379168973`*^9, {3.8624314846698265`*^9, 3.862431491717004*^9}, {
   3.8624317107966485`*^9, 3.8624317110646744`*^9}, 3.862432210964966*^9, {
   3.8624325259053745`*^9, 3.862432530350494*^9}, 3.862433135406494*^9, {
   3.862557450480881*^9, 3.8625574579581795`*^9}, {3.8625574980831537`*^9, 
   3.8625575246092987`*^9}, {3.862561437109984*^9, 3.862561440241643*^9}, {
   3.862563900944555*^9, 3.8625639012694035`*^9}, {3.8625651373068657`*^9, 
   3.862565138319189*^9}, 3.8625710298334312`*^9, {3.8625716933443856`*^9, 
   3.862571727848136*^9}, 3.862572056105073*^9, 3.862573298198695*^9, {
   3.862574180106146*^9, 3.8625741825968294`*^9}, {3.862576013874114*^9, 
   3.8625760394602036`*^9}, {3.8625826716586733`*^9, 3.862582675285478*^9}, {
   3.862582806803982*^9, 3.862582806862792*^9}, {3.862590147978261*^9, 
   3.8625901531718836`*^9}, 3.862590338818931*^9, {3.862590894208671*^9, 
   3.862590898551918*^9}, {3.8625917696037073`*^9, 3.862591786115798*^9}, {
   3.8625923404129677`*^9, 3.8625923455457582`*^9}, {3.862592469156754*^9, 
   3.8625924733367295`*^9}, {3.862593124178072*^9, 3.8625931265624466`*^9}, {
   3.8626394449638042`*^9, 3.8626394982227087`*^9}, 3.8626395619379387`*^9, {
   3.86264568446478*^9, 3.862645700750865*^9}, 3.8626458572062073`*^9, {
   3.862736652485525*^9, 3.862736660352425*^9}, 3.8627490854617805`*^9, {
   3.862922050013193*^9, 3.862922075396346*^9}, {3.8634631844812365`*^9, 
   3.863463225828889*^9}, 3.8634649733396044`*^9, {3.86368329603528*^9, 
   3.8636832988539968`*^9}, {3.8636863167491207`*^9, 3.863686338806013*^9}, {
   3.8636864352857056`*^9, 3.863686470002347*^9}, {3.8636865453487883`*^9, 
   3.863686545500383*^9}, 3.8636898149208007`*^9, {3.8636976206439037`*^9, 
   3.8636976459369655`*^9}, {3.8679224789565167`*^9, 3.867922620960637*^9}, {
   3.867922878180646*^9, 3.86792287926976*^9}, {3.867923629437904*^9, 
   3.867923631142679*^9}, {3.8679240985822067`*^9, 3.8679241053241143`*^9}, {
   3.867924341174412*^9, 3.8679243457799845`*^9}, {3.8679250355554404`*^9, 
   3.867925035800132*^9}, {3.867925752473631*^9, 3.86792577148135*^9}},
 CellLabel->
  "In[103]:=",ExpressionUUID->"0f0c5f9b-3b54-4d73-87c3-ccbff447de20"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{"**", 
    RowBox[{
    "*", " ", "Create", " ", "a", " ", "mesh", " ", "of", " ", "points", " ", 
     "within", " ", "the", " ", "leaf", " ", "box", " ", "containing", " ", 
     "c"}]}], " ", "****)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"createMesh", "[", 
      RowBox[{"xlim1_", ",", "xlim2_", ",", "ylim1_", ",", "ylim2_"}], "]"}], 
     ":=", "\[IndentingNewLine]", 
     RowBox[{"tmp", "=", 
      RowBox[{"Select", "[", 
       RowBox[{
        RowBox[{"Flatten", "[", 
         RowBox[{
          RowBox[{"ParallelTable", "[", 
           RowBox[{
            RowBox[{
             RowBox[{
              RowBox[{"(", 
               RowBox[{
                RowBox[{"(", 
                 RowBox[{"g", "-", "1", "-", "i"}], ")"}], "/", 
                RowBox[{"(", 
                 RowBox[{"g", "-", "1"}], ")"}]}], ")"}], "*", "xlim1"}], "+", 
             RowBox[{
              RowBox[{"(", 
               RowBox[{"i", "/", 
                RowBox[{"(", 
                 RowBox[{"g", "-", "1"}], ")"}]}], ")"}], "*", "xlim2"}], "+", 
             RowBox[{"I", "*", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"(", 
                 RowBox[{"g", "-", "1", "-", "j"}], ")"}], "/", 
                RowBox[{"(", 
                 RowBox[{"g", "-", "1"}], ")"}]}], ")"}], "*", "ylim1"}], "+", 
             RowBox[{"I", "*", 
              RowBox[{"(", 
               RowBox[{"j", "/", 
                RowBox[{"(", 
                 RowBox[{"g", "-", "1"}], ")"}]}], ")"}], "*", "ylim2"}]}], 
            ",", 
            RowBox[{"{", 
             RowBox[{"i", ",", "0", ",", 
              RowBox[{"g", "-", "1"}]}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"j", ",", "0", ",", 
              RowBox[{"g", "-", "1"}]}], "}"}]}], "]"}], ",", "1"}], "]"}], 
        ",", 
        RowBox[{
         RowBox[{
          RowBox[{"Im", "[", "#", "]"}], "\[NotEqual]", 
          RowBox[{"sc", "[", 
           RowBox[{"Re", "[", "#", "]"}], "]"}]}], "&"}]}], "]"}]}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"wevalPoints", "=", 
     RowBox[{"createMesh", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "1"}], "/", "3"}], ",", 
       RowBox[{"1", "/", "3"}], ",", 
       RowBox[{
        RowBox[{"-", "1"}], "/", "2"}], ",", 
       RowBox[{"1", "/", "6"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{"Length", "[", "wevalPoints", "]"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"cwevalPoints", "=", 
     RowBox[{"Conjugate", "[", "wevalPoints", "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"p1", "=", 
     RowBox[{"Plot", "[", 
      RowBox[{
       RowBox[{"sc", "[", "s", "]"}], ",", " ", 
       RowBox[{"{", 
        RowBox[{"s", ",", 
         RowBox[{"-", "1"}], ",", "1"}], "}"}], ",", " ", 
       RowBox[{"PlotRange", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"1.1", "*", 
             RowBox[{"Min", "[", 
              RowBox[{"Re", "[", "wevalPoints", "]"}], "]"}]}], ",", 
            RowBox[{"1.1", "*", 
             RowBox[{"Max", "[", 
              RowBox[{"Re", "[", "wevalPoints", "]"}], "]"}]}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"1.1", "*", 
             RowBox[{"Min", "[", 
              RowBox[{"Im", "[", "wevalPoints", "]"}], "]"}]}], ",", 
            RowBox[{"1.1", "*", 
             RowBox[{"Max", "[", 
              RowBox[{"Im", "[", "wevalPoints", "]"}], "]"}]}]}], "}"}]}], 
         "}"}]}], ",", 
       RowBox[{"Axes", "\[Rule]", "True"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"p2", "=", 
     RowBox[{"Graphics", "[", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"PointSize", "[", "Large", "]"}], ",", " ", 
        RowBox[{"Point", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"Re", "[", "c", "]"}], ",", " ", 
           RowBox[{"Im", "[", "c", "]"}]}], "}"}], "]"}]}], "}"}], "]"}]}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"p3", "=", 
     RowBox[{"ListPlot", "[", 
      RowBox[{"Thread", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Re", "[", "wevalPoints", "]"}], ",", 
         RowBox[{"Im", "[", "wevalPoints", "]"}]}], "}"}], "]"}], "]"}]}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{"Show", "[", 
    RowBox[{"p1", ",", "p2", ",", "p3"}], "]"}]}]}]], "Input",
 CellChangeTimes->{{3.859839510593004*^9, 3.8598395205049915`*^9}, {
   3.859839577163028*^9, 3.8598396358388157`*^9}, {3.8598396901316853`*^9, 
   3.859839708340678*^9}, {3.8598398070795393`*^9, 3.8598399399022236`*^9}, {
   3.8598400492984896`*^9, 3.8598401589920177`*^9}, {3.8598401958935313`*^9, 
   3.8598402092002573`*^9}, {3.8598402850491056`*^9, 3.859840307405313*^9}, {
   3.859840353321673*^9, 3.8598404390988703`*^9}, {3.8598409963523035`*^9, 
   3.8598410361660843`*^9}, {3.8622972717834015`*^9, 
   3.8622973270222397`*^9}, {3.862297477674258*^9, 3.862297484561805*^9}, {
   3.8622975155919485`*^9, 3.8622975201164093`*^9}, {3.862297558928539*^9, 
   3.8622976193656034`*^9}, {3.862299556415512*^9, 3.8622996034680204`*^9}, {
   3.862299637437665*^9, 3.862299760668781*^9}, {3.862299798922701*^9, 
   3.8622998534918933`*^9}, {3.862300295697356*^9, 3.862300298159268*^9}, 
   3.8623017367349124`*^9, {3.862301773780964*^9, 3.8623018378913155`*^9}, {
   3.862303964869209*^9, 3.8623039649984074`*^9}, {3.8623150962474146`*^9, 
   3.862315136906953*^9}, {3.862315167566721*^9, 3.862315206696025*^9}, {
   3.8623160877229805`*^9, 3.862316126634781*^9}, {3.862317468011955*^9, 
   3.8623174705553827`*^9}, {3.862318020981596*^9, 3.862318081569004*^9}, {
   3.8623181116640196`*^9, 3.8623181403963594`*^9}, {3.862318953136136*^9, 
   3.8623189549045916`*^9}, {3.862335798427826*^9, 3.862335799272992*^9}, {
   3.862335850438506*^9, 3.8623359086611385`*^9}, {3.8623359648956223`*^9, 
   3.8623360198818345`*^9}, {3.8623360817168503`*^9, 3.862336112375455*^9}, {
   3.8623361817128444`*^9, 3.862336181960255*^9}, {3.862336243045046*^9, 
   3.8623362439871025`*^9}, {3.8623362818626194`*^9, 
   3.8623363466468143`*^9}, {3.862344928989156*^9, 3.862344954001219*^9}, {
   3.862346395354786*^9, 3.862346403363826*^9}, {3.8623473018109283`*^9, 
   3.862347321383545*^9}, {3.862384391041582*^9, 3.862384462771898*^9}, {
   3.8623850628776855`*^9, 3.862385067685107*^9}, {3.86238522146659*^9, 
   3.862385256034342*^9}, {3.862390721899353*^9, 3.862390739068437*^9}, {
   3.8623931882518525`*^9, 3.8623932004805746`*^9}, {3.862405662678361*^9, 
   3.862405668960699*^9}, {3.8624057721083508`*^9, 3.862405862294558*^9}, {
   3.862405895199286*^9, 3.862405915012617*^9}, {3.8624059635810394`*^9, 
   3.8624060398876023`*^9}, {3.8624063451216707`*^9, 
   3.8624063516065054`*^9}, {3.8624066104143243`*^9, 3.86240667684997*^9}, {
   3.862557557203994*^9, 3.8625575810631137`*^9}, {3.862558634328081*^9, 
   3.8625586345632467`*^9}, {3.862558680964609*^9, 3.862558681040144*^9}, {
   3.862571734434146*^9, 3.862571766391431*^9}, {3.8625760520196357`*^9, 
   3.8625760694653597`*^9}, {3.862577571013533*^9, 3.862577574811857*^9}, {
   3.8626395150032663`*^9, 3.862639515847948*^9}, {3.862639575412613*^9, 
   3.862639576096487*^9}, {3.862645865365959*^9, 3.862645879588331*^9}, {
   3.8629220801715803`*^9, 3.8629220858124995`*^9}, 3.8634632188092966`*^9, 
   3.8636833213879204`*^9, {3.863686478511115*^9, 3.8636864854770446`*^9}, {
   3.8636900354234133`*^9, 3.863690035567031*^9}, {3.8636976541562757`*^9, 
   3.8636976658505106`*^9}, {3.8679226340743666`*^9, 
   3.8679226538122406`*^9}, {3.867922700013137*^9, 3.8679227303165674`*^9}},
 CellLabel->
  "In[134]:=",ExpressionUUID->"eb6e68bc-1513-461c-80e4-878fac9ed06f"],

Cell[BoxData["400"], "Output",
 CellChangeTimes->{{3.8598399489088173`*^9, 3.859839975188533*^9}, 
   3.8598400093173294`*^9, {3.859840092307019*^9, 3.8598401597643723`*^9}, {
   3.859840196988839*^9, 3.8598402098948345`*^9}, {3.8598402509289017`*^9, 
   3.8598402580862246`*^9}, {3.859840300552719*^9, 3.8598403080684195`*^9}, {
   3.859840354046733*^9, 3.8598404626210537`*^9}, 3.8598413086582313`*^9, 
   3.8598435279445047`*^9, 3.859844015782234*^9, 3.8598446797702017`*^9, 
   3.8598449208501763`*^9, 3.859845446517988*^9, 3.8598941252091208`*^9, 
   3.862045491544673*^9, 3.8620460227056293`*^9, {3.862046491665921*^9, 
   3.8620465129258823`*^9}, 3.8622973503963294`*^9, 3.8622974851945505`*^9, 
   3.862297520832861*^9, {3.8622975650354795`*^9, 3.862297629775858*^9}, 
   3.86229827603236*^9, 3.8622987460791583`*^9, {3.862299371581168*^9, 
   3.862299413160399*^9}, 3.8622997719496655`*^9, {3.8622998163594646`*^9, 
   3.8622998587534647`*^9}, 3.8623002989731736`*^9, 3.8623010668674107`*^9, 
   3.8623014082028704`*^9, {3.862301789080778*^9, 3.8623018598536787`*^9}, 
   3.8623021405325065`*^9, 3.862303965402067*^9, 3.8623043144363184`*^9, 
   3.8623046080587287`*^9, 3.8623128381477904`*^9, 3.862313762224739*^9, {
   3.862314155334313*^9, 3.8623141603705015`*^9}, {3.8623151327607894`*^9, 
   3.862315137225204*^9}, {3.8623151699420657`*^9, 3.8623152074143953`*^9}, {
   3.862316098952776*^9, 3.862316127031336*^9}, {3.8623173254887705`*^9, 
   3.86231733288308*^9}, {3.862317462402192*^9, 3.8623174709821157`*^9}, {
   3.8623177800501213`*^9, 3.862317792263942*^9}, {3.862317970097492*^9, 
   3.8623179923189187`*^9}, {3.86231804016355*^9, 3.8623180767767715`*^9}, {
   3.8623181216523314`*^9, 3.862318141914591*^9}, {3.8623189489221816`*^9, 
   3.862318955310593*^9}, 3.8623357956599693`*^9, 3.862335855410706*^9, {
   3.86233599400846*^9, 3.862336021352166*^9}, {3.862336084792284*^9, 
   3.8623361069065*^9}, 3.862336141605483*^9, 3.8623361938311777`*^9, 
   3.8623362450133915`*^9, {3.8623363098555603`*^9, 3.8623363914436293`*^9}, 
   3.8623364535700064`*^9, {3.862342829528165*^9, 3.8623428442141294`*^9}, 
   3.8623430648847675`*^9, {3.862344007689312*^9, 3.8623440287219224`*^9}, {
   3.8623449544804173`*^9, 3.8623449629749384`*^9}, 3.862345201763559*^9, {
   3.862345492170024*^9, 3.8623455129442453`*^9}, 3.8623457251337247`*^9, 
   3.862345758823966*^9, 3.862346263031352*^9, {3.8623464048034344`*^9, 
   3.8623464245338807`*^9}, {3.8623468272215858`*^9, 3.862346833944627*^9}, 
   3.8623469499545813`*^9, 3.862346997009898*^9, 3.8623471551749625`*^9, {
   3.86234729047068*^9, 3.8623473232259383`*^9}, 3.862347477310181*^9, 
   3.8623475615318446`*^9, 3.862347737809705*^9, 3.8623480198484354`*^9, 
   3.8623481277038946`*^9, 3.862348222501359*^9, 3.862348585520034*^9, 
   3.862348811756963*^9, 3.862348871245532*^9, 3.8623490030423765`*^9, 
   3.862349136499569*^9, 3.862349320477445*^9, 3.86234948595453*^9, 
   3.8623495608648005`*^9, 3.8623499192352037`*^9, 3.8623516370897207`*^9, 
   3.8623517512470217`*^9, 3.862381325978382*^9, 3.8623818850506277`*^9, 
   3.8623824702818003`*^9, 3.8623829251933794`*^9, {3.8623844105476923`*^9, 
   3.8623844634157705`*^9}, {3.862385211987588*^9, 3.8623852566553154`*^9}, 
   3.8623857348735595`*^9, 3.8623859905455656`*^9, 3.8623864397843485`*^9, {
   3.8623866392860255`*^9, 3.86238666082872*^9}, 3.862386758077759*^9, 
   3.862389973148053*^9, 3.8623907062029715`*^9, {3.862390748731988*^9, 
   3.8623907577962933`*^9}, {3.8623931890043993`*^9, 3.8623932012426324`*^9}, 
   3.862405738278699*^9, {3.8624058350474873`*^9, 3.8624058630216846`*^9}, {
   3.8624059055060763`*^9, 3.8624059155132313`*^9}, 3.8624060142668395`*^9, 
   3.862406045762498*^9, 3.862406140371456*^9, {3.8624066080688167`*^9, 
   3.8624066774174123`*^9}, 3.862406949216318*^9, {3.8624156650371904`*^9, 
   3.862415686063511*^9}, 3.8624166366522474`*^9, 3.8624183682297244`*^9, {
   3.862429726847009*^9, 3.8624297393518577`*^9}, 3.8624314954473357`*^9, 
   3.8624317131978364`*^9, 3.8624322128502316`*^9, 3.8624325339754505`*^9, {
   3.8625575658224945`*^9, 3.862557582036464*^9}, 3.8625579247086315`*^9, {
   3.8625586363365107`*^9, 3.862558681759041*^9}, 3.8625614502832723`*^9, 
   3.862562452306218*^9, 3.8625634261227245`*^9, 3.8625648007132893`*^9, 
   3.86256515476143*^9, 3.8625713342236*^9, {3.8625717167971935`*^9, 
   3.862571775725572*^9}, 3.8625720643284245`*^9, 3.862572158509313*^9, 
   3.8625733072152505`*^9, 3.8625740629768767`*^9, 3.862574186730594*^9, {
   3.8625760438151574`*^9, 3.862576070148326*^9}, {3.8625775714800606`*^9, 
   3.8625775752156734`*^9}, 3.8625828233008327`*^9, 3.8625901608246164`*^9, 
   3.8625903435042644`*^9, 3.86259090158179*^9, 3.8625918066021614`*^9, 
   3.862592476205799*^9, 3.8625931460692596`*^9, 3.862639516456176*^9, {
   3.8626395655192676`*^9, 3.862639585991291*^9}, 3.862640713600067*^9, 
   3.8626457793709755`*^9, {3.8626458680242105`*^9, 3.862645881247193*^9}, 
   3.8626461291831074`*^9, 3.8627367541945143`*^9, 3.8627490969327292`*^9, 
   3.8629224200164056`*^9, 3.8634632323478336`*^9, 3.863465003537494*^9, {
   3.8636833139817486`*^9, 3.8636833221035805`*^9}, 3.863686489226696*^9, 
   3.8636866968516784`*^9, {3.8636900234888124`*^9, 3.8636900494133725`*^9}, {
   3.8636976665848236`*^9, 3.863697674170986*^9}, 3.8679226733525887`*^9, {
   3.86792270717175*^9, 3.8679227309151373`*^9}, 3.867922888601835*^9, 
   3.8679231278600197`*^9, 3.8679236777515526`*^9, 3.8679241139217386`*^9, 
   3.8679246337933545`*^9, 3.867925198694399*^9, 3.8679257897518873`*^9},
 CellLabel->
  "Out[136]=",ExpressionUUID->"e8dfc40d-f263-48ba-a4a3-5a9684afc818"],

Cell[BoxData[
 GraphicsBox[{{{{}, {}, 
     TagBox[
      {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], 
       Opacity[1.], LineBox[CompressedData["
1:eJw1mnk4Vd/3xwkZPkIiRCUhpDJlCqtkSgghU0iaJCFE5iHJTAiZ5ylkHi77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        "]]},
      Annotation[#, "Charting`Private`Tag$7433#1"]& ]}, {}}, 
   {PointSize[Large], 
    PointBox[NCache[{0, Rational[-1, 3]}, {0, -0.3333333333333333}]]}, {{}, 
    {RGBColor[0.368417, 0.506779, 0.709798], PointSize[0.007333333333333334], 
     AbsoluteThickness[1.6], PointBox[CompressedData["
1:eJxd2C+o3nUYxuGjrBpmWBXBYLAYNBi8w8IMBhEMGhYEsQgurBgUNFgMKiwJ
BsuCZUGRBWWKDg0KwylDnGAxWC2rbu+76w73KYfP4bx/uODL9/k9j7765ouv
PXhycvLRAycn936/dPj5/drJ4efva/rh2+cuPPLdX+3Hrn7497Pv/dl++tKt
F86f/aP93N3/fvvUrfYrz7/+5KfXf2u/8fiVz75+/9f2O6funL597kb73qvv
nP65ffath/556tKP7XvvdvHM9+0zN1+++wnftM8fXvBl+/DxFy+3D1/vzrvt
w9f575Pow9e5cKX9zAf/PnH5i6vtw9e59W37+Pt6jt/rZv00P81P89P8ND/N
T/PT/DQ/zU/z0/w0P81P89P8ND/NT/M7/v1G/TQ/zU/z0/w0P81P89P8ND/N
T/PT/DQ/zU/z0/w0P81P8zt+j1/qp/lpfpqf5qf5aX6an+an+Wl+mp/mp/lp
fpqf5qf5aX6a3/H/fqqf5qf5aX6an+an+Wl+mp/mp/lpfpqf5qf5aX6an+an
+Wl+x8/9oX6an+an+Wl+mp/mp/lpfpqf5qf5aX6an+an+Wl+mp/mp/kdX3et
fpqf5qf5aX6an+an+Wl+mp/mp/lpfpqf5qf5aX6an+an+R0/56v6aX6an+an
+Wl+mp/mp/lpfpqf5qf5aX6an+an+Wl+mp/md3yfz+un+Wl+mp/mp/lpfpqf
5qf5aX6an+an+Wl+mp/mp/lpfprf8X0/rp/mp/lpfpqf5qf5aX6an+an+Wl+
mp/mp/lpfpqf5qf56fHL+GX8Mn4Zv4xfxi/jl/HL+GX8Mn4Zv4xfxi/jl/HL
+GX8Mn6Z85s5v5nzmzm/mfObOb+Z85s5v5nzWz895zdzfjPnN3N+M+e3fnrO
b+b8Zs5v5vxm7o/M/ZG5PzL3R+b+yNwfmfsjc39k7o/66bk/6qfn/sjcH/XT
c3/UT8/9kbk/MvdHZn7JzC+Z+SUzv2Tml8z8kplfMvNLZn6pn575pX565pfM
/FI/PfNL/fTML5n5JTO/1O/+PFg/PfNzZn7OzM+Z+TkzP2fm58z8XD8983P9
9MzPmfm5fnrm5/rpmZ8z83P99Dy/1U/P81vm+S3z/JZ5fss8v2We3zLPb/XT
8/xWPz3Pb/XT8/xWPz3Pb/XT8/xWPz37g/rp2R9k9geZ/UFmf5DZH2T2B5n9
Qf307A/qp2d/UD89+4P66dkf1E/P/qB+evZX9dOzv8rsrzL7q8z+KrO/yuyv
Mvur+unZX9VPz/6qfnr2V/XTs7+qn579Vf307E/rp2d/mtmfZvanmf1pZn+a
2Z9m9qf107M/rZ+e/Wn9ND89+9P66dmf1k/z0/zu76Prp2d/n9nfZ/b3mf19
Zn+f2d9n9vf107O/r5+e/X39ND89+/v66dnf10/z0/z+B1xqRis=
      "]]}, {{}, {}}}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->{True, True},
  AxesLabel->{None, None},
  AxesOrigin->{0, 0},
  DisplayFunction->Identity,
  Frame->{{False, False}, {False, False}},
  FrameLabel->{{None, None}, {None, None}},
  FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
  GridLines->{None, None},
  GridLinesStyle->Directive[
    GrayLevel[0.5, 0.4]],
  ImagePadding->All,
  Method->{
   "DefaultBoundaryStyle" -> Automatic, 
    "DefaultGraphicsInteraction" -> {
     "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
      "Effects" -> {
       "Highlight" -> {"ratio" -> 2}, "HighlightPoint" -> {"ratio" -> 2}, 
        "Droplines" -> {
         "freeformCursorMode" -> True, 
          "placement" -> {"x" -> "All", "y" -> "None"}}}}, "DefaultMeshStyle" -> 
    AbsolutePointSize[6], "ScalingFunctions" -> None, 
    "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& ), "CopiedValueFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& )}},
  PlotRange->{{-0.3666666666666667, 0.3666666666666667}, {-0.55, 
   0.18333333333333335`}},
  PlotRangeClipping->True,
  PlotRangePadding->{{0, 0}, {0, 0}},
  Ticks->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{{3.8598399489088173`*^9, 3.859839975188533*^9}, 
   3.8598400093173294`*^9, {3.859840092307019*^9, 3.8598401597643723`*^9}, {
   3.859840196988839*^9, 3.8598402098948345`*^9}, {3.8598402509289017`*^9, 
   3.8598402580862246`*^9}, {3.859840300552719*^9, 3.8598403080684195`*^9}, {
   3.859840354046733*^9, 3.8598404626210537`*^9}, 3.8598413086582313`*^9, 
   3.8598435279445047`*^9, 3.859844015782234*^9, 3.8598446797702017`*^9, 
   3.8598449208501763`*^9, 3.859845446517988*^9, 3.8598941252091208`*^9, 
   3.862045491544673*^9, 3.8620460227056293`*^9, {3.862046491665921*^9, 
   3.8620465129258823`*^9}, 3.8622973503963294`*^9, 3.8622974851945505`*^9, 
   3.862297520832861*^9, {3.8622975650354795`*^9, 3.862297629775858*^9}, 
   3.86229827603236*^9, 3.8622987460791583`*^9, {3.862299371581168*^9, 
   3.862299413160399*^9}, 3.8622997719496655`*^9, {3.8622998163594646`*^9, 
   3.8622998587534647`*^9}, 3.8623002989731736`*^9, 3.8623010668674107`*^9, 
   3.8623014082028704`*^9, {3.862301789080778*^9, 3.8623018598536787`*^9}, 
   3.8623021405325065`*^9, 3.862303965402067*^9, 3.8623043144363184`*^9, 
   3.8623046080587287`*^9, 3.8623128381477904`*^9, 3.862313762224739*^9, {
   3.862314155334313*^9, 3.8623141603705015`*^9}, {3.8623151327607894`*^9, 
   3.862315137225204*^9}, {3.8623151699420657`*^9, 3.8623152074143953`*^9}, {
   3.862316098952776*^9, 3.862316127031336*^9}, {3.8623173254887705`*^9, 
   3.86231733288308*^9}, {3.862317462402192*^9, 3.8623174709821157`*^9}, {
   3.8623177800501213`*^9, 3.862317792263942*^9}, {3.862317970097492*^9, 
   3.8623179923189187`*^9}, {3.86231804016355*^9, 3.8623180767767715`*^9}, {
   3.8623181216523314`*^9, 3.862318141914591*^9}, {3.8623189489221816`*^9, 
   3.862318955310593*^9}, 3.8623357956599693`*^9, 3.862335855410706*^9, {
   3.86233599400846*^9, 3.862336021352166*^9}, {3.862336084792284*^9, 
   3.8623361069065*^9}, 3.862336141605483*^9, 3.8623361938311777`*^9, 
   3.8623362450133915`*^9, {3.8623363098555603`*^9, 3.8623363914436293`*^9}, 
   3.8623364535700064`*^9, {3.862342829528165*^9, 3.8623428442141294`*^9}, 
   3.8623430648847675`*^9, {3.862344007689312*^9, 3.8623440287219224`*^9}, {
   3.8623449544804173`*^9, 3.8623449629749384`*^9}, 3.862345201763559*^9, {
   3.862345492170024*^9, 3.8623455129442453`*^9}, 3.8623457251337247`*^9, 
   3.862345758823966*^9, 3.862346263031352*^9, {3.8623464048034344`*^9, 
   3.8623464245338807`*^9}, {3.8623468272215858`*^9, 3.862346833944627*^9}, 
   3.8623469499545813`*^9, 3.862346997009898*^9, 3.8623471551749625`*^9, {
   3.86234729047068*^9, 3.8623473232259383`*^9}, 3.862347477310181*^9, 
   3.8623475615318446`*^9, 3.862347737809705*^9, 3.8623480198484354`*^9, 
   3.8623481277038946`*^9, 3.862348222501359*^9, 3.862348585520034*^9, 
   3.862348811756963*^9, 3.862348871245532*^9, 3.8623490030423765`*^9, 
   3.862349136499569*^9, 3.862349320477445*^9, 3.86234948595453*^9, 
   3.8623495608648005`*^9, 3.8623499192352037`*^9, 3.8623516370897207`*^9, 
   3.8623517512470217`*^9, 3.862381325978382*^9, 3.8623818850506277`*^9, 
   3.8623824702818003`*^9, 3.8623829251933794`*^9, {3.8623844105476923`*^9, 
   3.8623844634157705`*^9}, {3.862385211987588*^9, 3.8623852566553154`*^9}, 
   3.8623857348735595`*^9, 3.8623859905455656`*^9, 3.8623864397843485`*^9, {
   3.8623866392860255`*^9, 3.86238666082872*^9}, 3.862386758077759*^9, 
   3.862389973148053*^9, 3.8623907062029715`*^9, {3.862390748731988*^9, 
   3.8623907577962933`*^9}, {3.8623931890043993`*^9, 3.8623932012426324`*^9}, 
   3.862405738278699*^9, {3.8624058350474873`*^9, 3.8624058630216846`*^9}, {
   3.8624059055060763`*^9, 3.8624059155132313`*^9}, 3.8624060142668395`*^9, 
   3.862406045762498*^9, 3.862406140371456*^9, {3.8624066080688167`*^9, 
   3.8624066774174123`*^9}, 3.862406949216318*^9, {3.8624156650371904`*^9, 
   3.862415686063511*^9}, 3.8624166366522474`*^9, 3.8624183682297244`*^9, {
   3.862429726847009*^9, 3.8624297393518577`*^9}, 3.8624314954473357`*^9, 
   3.8624317131978364`*^9, 3.8624322128502316`*^9, 3.8624325339754505`*^9, {
   3.8625575658224945`*^9, 3.862557582036464*^9}, 3.8625579247086315`*^9, {
   3.8625586363365107`*^9, 3.862558681759041*^9}, 3.8625614502832723`*^9, 
   3.862562452306218*^9, 3.8625634261227245`*^9, 3.8625648007132893`*^9, 
   3.86256515476143*^9, 3.8625713342236*^9, {3.8625717167971935`*^9, 
   3.862571775725572*^9}, 3.8625720643284245`*^9, 3.862572158509313*^9, 
   3.8625733072152505`*^9, 3.8625740629768767`*^9, 3.862574186730594*^9, {
   3.8625760438151574`*^9, 3.862576070148326*^9}, {3.8625775714800606`*^9, 
   3.8625775752156734`*^9}, 3.8625828233008327`*^9, 3.8625901608246164`*^9, 
   3.8625903435042644`*^9, 3.86259090158179*^9, 3.8625918066021614`*^9, 
   3.862592476205799*^9, 3.8625931460692596`*^9, 3.862639516456176*^9, {
   3.8626395655192676`*^9, 3.862639585991291*^9}, 3.862640713600067*^9, 
   3.8626457793709755`*^9, {3.8626458680242105`*^9, 3.862645881247193*^9}, 
   3.8626461291831074`*^9, 3.8627367541945143`*^9, 3.8627490969327292`*^9, 
   3.8629224200164056`*^9, 3.8634632323478336`*^9, 3.863465003537494*^9, {
   3.8636833139817486`*^9, 3.8636833221035805`*^9}, 3.863686489226696*^9, 
   3.8636866968516784`*^9, {3.8636900234888124`*^9, 3.8636900494133725`*^9}, {
   3.8636976665848236`*^9, 3.863697674170986*^9}, 3.8679226733525887`*^9, {
   3.86792270717175*^9, 3.8679227309151373`*^9}, 3.867922888601835*^9, 
   3.8679231278600197`*^9, 3.8679236777515526`*^9, 3.8679241139217386`*^9, 
   3.8679246337933545`*^9, 3.867925198694399*^9, 3.8679257898107305`*^9},
 CellLabel->
  "Out[141]=",ExpressionUUID->"55a25d57-9fca-41de-8de8-f049870727b4"]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{"**", 
    RowBox[{
    "*", " ", "Calculate", " ", "the", " ", "polynomial", " ", "roots", " ", 
     "of", " ", "the", " ", "boundary", " ", "function", " ", "for", " ", 
     "both", " ", "wevalPoints", " ", "and", " ", "cwevalPoints"}]}], " ", 
   "****)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"polyroots", "=", 
     RowBox[{"ParallelTable", "[", 
      RowBox[{
       RowBox[{"s", "/.", 
        RowBox[{"{", 
         RowBox[{"ToRules", "[", 
          RowBox[{"N", "[", 
           RowBox[{
            RowBox[{"Roots", "[", 
             RowBox[{
              RowBox[{
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"wevalPoints", "[", 
                  RowBox[{"[", "idx", "]"}], "]"}], "-", 
                 RowBox[{"(", 
                  RowBox[{"s", "+", 
                   RowBox[{"I", "*", 
                    RowBox[{"sc", "[", "s", "]"}]}]}], ")"}]}], ")"}], "==", 
               "0"}], ",", "s"}], "]"}], ",", "30"}], "]"}], "]"}], "}"}]}], 
       ",", 
       RowBox[{"{", 
        RowBox[{"idx", ",", "1", ",", 
         RowBox[{"Length", "[", "wevalPoints", "]"}]}], "}"}]}], "]"}]}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"lowerRoots", "=", 
     RowBox[{"ParallelTable", "[", 
      RowBox[{
       RowBox[{"Select", "[", 
        RowBox[{
         RowBox[{"polyroots", "[", 
          RowBox[{"[", "idx", "]"}], "]"}], ",", " ", 
         RowBox[{
          RowBox[{
           RowBox[{"Im", "[", "#", "]"}], "<", "0"}], "&"}]}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"idx", ",", "1", ",", 
         RowBox[{"Length", "[", "wevalPoints", "]"}]}], "}"}]}], "]"}]}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"upperRoots", "=", 
     RowBox[{"ParallelTable", "[", 
      RowBox[{
       RowBox[{"Select", "[", 
        RowBox[{
         RowBox[{"polyroots", "[", 
          RowBox[{"[", "idx", "]"}], "]"}], ",", " ", 
         RowBox[{
          RowBox[{
           RowBox[{"Im", "[", "#", "]"}], ">", "0"}], "&"}]}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"idx", ",", "1", ",", 
         RowBox[{"Length", "[", "wevalPoints", "]"}]}], "}"}]}], "]"}]}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"polyrootsC", "=", 
     RowBox[{"ParallelTable", "[", 
      RowBox[{
       RowBox[{"s", "/.", 
        RowBox[{"{", 
         RowBox[{"ToRules", "[", 
          RowBox[{"N", "[", 
           RowBox[{
            RowBox[{"Roots", "[", 
             RowBox[{
              RowBox[{
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"cwevalPoints", "[", 
                  RowBox[{"[", "idx", "]"}], "]"}], "-", 
                 RowBox[{"(", 
                  RowBox[{"s", "-", 
                   RowBox[{"I", "*", 
                    RowBox[{"sc", "[", "s", "]"}]}]}], ")"}]}], ")"}], "==", 
               "0"}], ",", "s"}], "]"}], ",", "30"}], "]"}], "]"}], "}"}]}], 
       ",", 
       RowBox[{"{", 
        RowBox[{"idx", ",", "1", ",", 
         RowBox[{"Length", "[", "cwevalPoints", "]"}]}], "}"}]}], "]"}]}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"lowerRootsC", "=", 
     RowBox[{"ParallelTable", "[", 
      RowBox[{
       RowBox[{"Select", "[", 
        RowBox[{
         RowBox[{"polyrootsC", "[", 
          RowBox[{"[", "idx", "]"}], "]"}], ",", " ", 
         RowBox[{
          RowBox[{
           RowBox[{"Im", "[", "#", "]"}], "<", "0"}], "&"}]}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"idx", ",", "1", ",", 
         RowBox[{"Length", "[", "wevalPoints", "]"}]}], "}"}]}], "]"}]}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"upperRootsC", "=", 
     RowBox[{"ParallelTable", "[", 
      RowBox[{
       RowBox[{"Select", "[", 
        RowBox[{
         RowBox[{"polyrootsC", "[", 
          RowBox[{"[", "idx", "]"}], "]"}], ",", " ", 
         RowBox[{
          RowBox[{
           RowBox[{"Im", "[", "#", "]"}], ">", "0"}], "&"}]}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"idx", ",", "1", ",", 
         RowBox[{"Length", "[", "wevalPoints", "]"}]}], "}"}]}], "]"}]}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"maxRootRad", "=", 
     RowBox[{"Max", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"Abs", "[", 
         RowBox[{"Max", "[", 
          RowBox[{"Abs", "[", "polyroots", "]"}], "]"}], "]"}], "+", "1"}], 
       ",", 
       RowBox[{
        RowBox[{"Abs", "[", 
         RowBox[{"Max", "[", 
          RowBox[{"Abs", "[", "polyrootsC", "]"}], "]"}], "]"}], "+", "1"}]}],
       "]"}]}], ";"}]}]}]], "Input",
 CellChangeTimes->{{3.859840480926397*^9, 3.8598405168858323`*^9}, {
  3.8623159109063625`*^9, 3.8623159126896086`*^9}, {3.862315971836111*^9, 
  3.86231599727927*^9}, {3.862317797267356*^9, 3.86231779860933*^9}, {
  3.8623188448246937`*^9, 3.862318846107331*^9}, {3.8623358156255426`*^9, 
  3.8623358171429453`*^9}, {3.862557880602843*^9, 3.8625578809545946`*^9}, {
  3.8625608406280975`*^9, 3.8625609104880147`*^9}, {3.8679227426087437`*^9, 
  3.867922772321062*^9}},
 CellLabel->
  "In[142]:=",ExpressionUUID->"665d3445-340e-4524-9ed8-08230f267e36"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"**", 
     RowBox[{"*", " ", "Define", " ", "Helmholtz"}]}], "-", 
    RowBox[{"related", " ", "functions"}]}], " ", "****)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"R", ":", " ", 
     RowBox[{
     "Magnitude", " ", "function", " ", "between", " ", "evaluation", " ", 
      "point", " ", "and", " ", "point", " ", "on", " ", "boundary"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"L", ":", " ", 
     RowBox[{
     "Integrand", " ", "term", " ", "with", " ", "Hankel", " ", 
      "function"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"L1", ":", " ", 
     RowBox[{"Component", " ", "function", " ", "1", " ", "of", " ", "L"}]}], 
    ";", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"L2", ":", " ", 
      RowBox[{
      "Component", " ", "function", " ", "2", " ", "of", " ", "L", " ", 
       "where", " ", "L2"}]}], " ", "=", " ", 
     RowBox[{"L", " ", "-", " ", 
      RowBox[{"L1", "*", "Log"}]}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"DLP", ":", " ", 
     RowBox[{
     "Analytical", " ", "solution", " ", "of", " ", "DLP", " ", "for", " ", 
      "Helmholtz", " ", "equation"}]}], ";"}], "\[IndentingNewLine]", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"R", "[", 
      RowBox[{"weval_", ",", "tau_"}], "]"}], ":=", 
     RowBox[{"Sqrt", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"Re", "[", "weval", "]"}], "-", "tau"}], ")"}], "^", "2"}], 
       "+", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"Im", "[", "weval", "]"}], "-", 
          RowBox[{"sc", "[", "tau", "]"}]}], ")"}], "^", "2"}]}], "]"}]}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"L", "[", 
      RowBox[{"weval_", ",", "tau_"}], "]"}], ":=", 
     RowBox[{
      RowBox[{"-", 
       FractionBox[
        RowBox[{"I", "*", "k"}], "4"]}], "*", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             RowBox[{"Re", "[", "weval", "]"}], "-", "tau"}], ")"}], "*", 
           RowBox[{"scp", "[", "tau", "]"}]}], "-", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"Im", "[", "weval", "]"}], "-", 
            RowBox[{"sc", "[", "tau", "]"}]}], ")"}]}], ")"}], "/", 
        RowBox[{"R", "[", 
         RowBox[{"weval", ",", "tau"}], "]"}]}], ")"}], "*", 
      RowBox[{"HankelH1", "[", 
       RowBox[{"1", ",", 
        RowBox[{"k", "*", 
         RowBox[{"R", "[", 
          RowBox[{"weval", ",", "tau"}], "]"}]}]}], "]"}]}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"L1", "[", 
      RowBox[{"weval_", ",", "tau_"}], "]"}], ":=", 
     RowBox[{
      FractionBox["k", 
       RowBox[{"4", "*", "Pi"}]], "*", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             RowBox[{"Re", "[", "weval", "]"}], "-", "tau"}], ")"}], "*", 
           RowBox[{"scp", "[", "tau", "]"}]}], "-", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"Im", "[", "weval", "]"}], "-", 
            RowBox[{"sc", "[", "tau", "]"}]}], ")"}]}], ")"}], "/", 
        RowBox[{"R", "[", 
         RowBox[{"weval", ",", "tau"}], "]"}]}], ")"}], "*", 
      RowBox[{"BesselJ", "[", 
       RowBox[{"1", ",", 
        RowBox[{"k", "*", 
         RowBox[{"R", "[", 
          RowBox[{"weval", ",", "tau"}], "]"}]}]}], "]"}]}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"L2", "[", 
      RowBox[{"weval_", ",", " ", "tau_"}], "]"}], ":=", 
     RowBox[{
      RowBox[{"L", "[", 
       RowBox[{"weval", ",", "tau"}], "]"}], "-", 
      RowBox[{
       RowBox[{"L1", "[", 
        RowBox[{"weval", ",", "tau"}], "]"}], "*", 
       RowBox[{"Log", "[", 
        RowBox[{
         RowBox[{"R", "[", 
          RowBox[{"weval", ",", "tau"}], "]"}], "^", "2"}], "]"}]}]}]}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"DLP", "[", "weval_", "]"}], ":=", 
     RowBox[{"NIntegrate", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"L", "[", 
         RowBox[{"weval", ",", "tau"}], "]"}], "*", 
        RowBox[{"rho", "[", "tau", "]"}]}], ",", 
       RowBox[{"{", 
        RowBox[{"tau", ",", 
         RowBox[{"-", "1"}], ",", "1"}], "}"}], ",", 
       RowBox[{"AccuracyGoal", "\[Rule]", "24"}], ",", 
       RowBox[{"WorkingPrecision", "\[Rule]", "50"}], ",", 
       RowBox[{"PrecisionGoal", "\[Rule]", "24"}], ",", 
       RowBox[{"MaxRecursion", "\[Rule]", "100"}]}], "]"}]}], 
    ";"}]}]}]], "Input",
 CellChangeTimes->{{3.859840546370607*^9, 3.8598405541110415`*^9}, 
   3.8620453379927473`*^9, {3.862297643343235*^9, 3.8622976504509277`*^9}, {
   3.862297829389124*^9, 3.862297903116288*^9}, {3.8622979958705945`*^9, 
   3.862298207208102*^9}, {3.862298237373068*^9, 3.8622982437895904`*^9}, 
   3.8622982850525165`*^9, {3.862312167441104*^9, 3.862312169766509*^9}, {
   3.8623137804578314`*^9, 3.8623137921994114`*^9}, {3.862317884336972*^9, 
   3.862317886209506*^9}, {3.8623428571742764`*^9, 3.8623428657496057`*^9}, {
   3.862345404621021*^9, 3.86234541022781*^9}, {3.8623463756233683`*^9, 
   3.862346378026623*^9}, 3.862347160387865*^9, {3.862384643428048*^9, 
   3.8623846974172964`*^9}, {3.8624063571780677`*^9, 
   3.8624065198899164`*^9}, {3.862571042710497*^9, 3.862571055653391*^9}, {
   3.862571117083753*^9, 3.8625711482942524`*^9}, {3.867922791134768*^9, 
   3.867922792242869*^9}, {3.8679250601017947`*^9, 3.8679251154083595`*^9}},
 CellLabel->
  "In[149]:=",ExpressionUUID->"a10e831e-098e-43aa-80ae-60f7a4752f31"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{"**", 
    RowBox[{
    "*", " ", "Precompute", " ", "coefficients", " ", "for", " ", "F", " ", 
     "approximation", " ", "using", " ", "exponential", " ", "basis", " ", 
     "functions", " ", "for", " ", "ALL", " ", "evaluation", " ", 
     "points"}]}], " ", "****)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"domain", "=", 
     RowBox[{"Subdivide", "[", 
      RowBox[{
       RowBox[{"-", "1"}], ",", "1", ",", 
       RowBox[{"dt", "-", "1"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"basis", "=", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"Exp", "[", 
        RowBox[{"p", "*", "I", "*", 
         RowBox[{"(", 
          RowBox[{"Pi", "/", "2"}], ")"}], "*", "domain"}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"p", ",", 
         RowBox[{"-", "P"}], ",", "P"}], "}"}]}], "]"}]}], ";"}], " ", 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"At", "=", 
     RowBox[{"N", "[", 
      RowBox[{"Transpose", "[", "basis", "]"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"computeFCoefs", "[", "weval_", "]"}], ":=", 
     "\[IndentingNewLine]", 
     RowBox[{"Module", "[", 
      RowBox[{
       RowBox[{"{", "b", "}"}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"b", "=", 
         RowBox[{"N", "[", 
          RowBox[{
           RowBox[{"L1", "[", 
            RowBox[{"weval", ",", "domain"}], "]"}], "*", 
           RowBox[{"rho", "[", "domain", "]"}]}], "]"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"fcoefs", "=", 
         RowBox[{"LeastSquares", "[", 
          RowBox[{"At", ",", "b"}], "]"}]}]}]}], "\[IndentingNewLine]", 
      "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"{", 
      RowBox[{"t", ",", "fcoefs"}], "}"}], "=", 
     RowBox[{"AbsoluteTiming", "[", 
      RowBox[{"ParallelTable", "[", 
       RowBox[{
        RowBox[{"computeFCoefs", "[", 
         RowBox[{"wevalPoints", "[", 
          RowBox[{"[", "idx", "]"}], "]"}], "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"idx", ",", "1", ",", 
          RowBox[{"Length", "[", "wevalPoints", "]"}]}], "}"}]}], "]"}], 
      "]"}]}], ";", "t"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"{", 
      RowBox[{"t", ",", "xcoefs"}], "}"}], "=", 
     RowBox[{"AbsoluteTiming", "[", 
      RowBox[{"ParallelTable", "[", 
       RowBox[{
        RowBox[{"LeastSquares", "[", 
         RowBox[{"At", ",", "domain"}], "]"}], ",", 
        RowBox[{"Length", "[", "wevalPoints", "]"}]}], "]"}], "]"}]}], ";", 
    "t"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Fcoefs", "=", 
     RowBox[{"Transpose", "[", "\[IndentingNewLine]", 
      RowBox[{"Join", "[", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"ParallelTable", "[", 
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{"(", 
             RowBox[{"2", "/", 
              RowBox[{"(", 
               RowBox[{"Pi", "*", "I", "*", "p"}], ")"}]}], ")"}], "*", 
            RowBox[{"fcoefs", "[", 
             RowBox[{"[", 
              RowBox[{"All", ",", 
               RowBox[{"p", "+", "P", "+", "1"}]}], "]"}], "]"}]}], "+", 
           RowBox[{
            RowBox[{"fcoefs", "[", 
             RowBox[{"[", 
              RowBox[{"All", ",", 
               RowBox[{"P", "+", "1"}]}], "]"}], "]"}], "*", 
            RowBox[{"xcoefs", "[", 
             RowBox[{"[", 
              RowBox[{"All", ",", 
               RowBox[{"p", "+", "P", "+", "1"}]}], "]"}], "]"}]}]}], ",", 
          RowBox[{"{", 
           RowBox[{"p", ",", 
            RowBox[{"-", "P"}], ",", 
            RowBox[{"-", "1"}]}], "}"}]}], "]"}], ",", "\[IndentingNewLine]", 
        RowBox[{"Table", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"fcoefs", "[", 
            RowBox[{"[", 
             RowBox[{"All", ",", 
              RowBox[{"P", "+", "1"}]}], "]"}], "]"}], "*", 
           RowBox[{"xcoefs", "[", 
            RowBox[{"[", 
             RowBox[{"All", ",", 
              RowBox[{"P", "+", "1"}]}], "]"}], "]"}]}], ",", "1"}], "]"}], 
        ",", "\[IndentingNewLine]", 
        RowBox[{"ParallelTable", "[", 
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{"(", 
             RowBox[{"2", "/", 
              RowBox[{"(", 
               RowBox[{"Pi", "*", "I", "*", "p"}], ")"}]}], ")"}], "*", 
            RowBox[{"fcoefs", "[", 
             RowBox[{"[", 
              RowBox[{"All", ",", 
               RowBox[{"p", "+", "P", "+", "1"}]}], "]"}], "]"}]}], "+", 
           RowBox[{
            RowBox[{"fcoefs", "[", 
             RowBox[{"[", 
              RowBox[{"All", ",", 
               RowBox[{"P", "+", "1"}]}], "]"}], "]"}], "*", 
            RowBox[{"xcoefs", "[", 
             RowBox[{"[", 
              RowBox[{"All", ",", 
               RowBox[{"p", "+", "P", "+", "1"}]}], "]"}], "]"}]}]}], ",", 
          RowBox[{"{", 
           RowBox[{"p", ",", "1", ",", "P"}], "}"}]}], "]"}]}], 
       "\[IndentingNewLine]", "]"}], "\[IndentingNewLine]", "]"}]}], 
    ";"}]}]}]], "Input",
 CellChangeTimes->{{3.8598406024318285`*^9, 3.859840603755971*^9}, 
   3.8620453490177264`*^9, {3.86229823141057*^9, 3.8622982316710443`*^9}, 
   3.862298322850931*^9, {3.862299868622711*^9, 3.8622998692132745`*^9}, {
   3.862299931692068*^9, 3.862299946026389*^9}, {3.8623018767917624`*^9, 
   3.862301881539365*^9}, {3.862336487109891*^9, 3.862336491072219*^9}, {
   3.8623454286648073`*^9, 3.8623454292190485`*^9}, {3.862346382057336*^9, 
   3.8623463823675346`*^9}, 3.8623471686761904`*^9, 3.8624065440781555`*^9, 
   3.862416828909067*^9, 3.8625711546422853`*^9, {3.8627366237954187`*^9, 
   3.8627366320288258`*^9}, {3.867922801908082*^9, 3.8679228323391204`*^9}, {
   3.8679235847114477`*^9, 3.8679236245454364`*^9}, 3.8679251281616917`*^9},
 CellLabel->
  "In[154]:=",ExpressionUUID->"82c1ba98-44ad-4162-a4f6-15d8e7eda600"],

Cell[BoxData["25.6302996`"], "Output",
 CellChangeTimes->{3.867922917455608*^9, 3.8679231545611644`*^9, 
  3.8679237024708457`*^9, 3.8679241211175117`*^9, 3.8679246461897984`*^9, 
  3.867925214090382*^9, 3.867925821556897*^9},
 CellLabel->
  "Out[158]=",ExpressionUUID->"50d3ebb1-64fc-4843-82b0-9885f3382541"],

Cell[BoxData["2.5624169`"], "Output",
 CellChangeTimes->{3.867922917455608*^9, 3.8679231545611644`*^9, 
  3.8679237024708457`*^9, 3.8679241211175117`*^9, 3.8679246461897984`*^9, 
  3.867925214090382*^9, 3.867925824119046*^9},
 CellLabel->
  "Out[159]=",ExpressionUUID->"6cf14e35-a0a8-4f98-a3ba-4115407ba142"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{"**", 
    RowBox[{
    "*", " ", "Precompute", " ", "coefficients", " ", "for", " ", "sF", " ", 
     "approximation", " ", "using", " ", "exponential", " ", "basis", " ", 
     "functions", " ", "for", " ", "ALL", " ", "evaluation", " ", 
     "points"}]}], " ", "****)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"computeSFcoefs", "[", "idx_", "]"}], ":=", 
     "\[IndentingNewLine]", 
     RowBox[{"Module", "[", 
      RowBox[{
       RowBox[{"{", "b", "}"}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"b", "=", 
         RowBox[{
          RowBox[{"scp", "[", "domain", "]"}], "*", 
          RowBox[{"F", "[", 
           RowBox[{"idx", ",", "domain"}], "]"}]}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"SFcoefs", "=", 
         RowBox[{"LeastSquares", "[", 
          RowBox[{"At", ",", "b"}], "]"}]}]}]}], "\[IndentingNewLine]", 
      "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"{", 
      RowBox[{"t", ",", "SFcoefs"}], "}"}], "=", 
     RowBox[{"AbsoluteTiming", "[", 
      RowBox[{"ParallelTable", "[", 
       RowBox[{
        RowBox[{"computeSFcoefs", "[", "idx", "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"idx", ",", "1", ",", 
          RowBox[{"Length", "[", "wevalPoints", "]"}]}], "}"}]}], "]"}], 
      "]"}]}], ";", "t"}]}]}]], "Input",
 CellChangeTimes->{{3.862736635186965*^9, 3.8627366378636665`*^9}, {
  3.867922927082803*^9, 3.867922932163394*^9}},
 CellLabel->
  "In[161]:=",ExpressionUUID->"14b5b772-79ba-45a7-bfce-dd44005a1a23"],

Cell[BoxData["34.2515954`"], "Output",
 CellChangeTimes->CompressedData["
1:eJxTTMoPSmVkYGDQB+I012VVv469cTQzNGRnOP7G8eOux09A9CrXgP8g+s6R
XhtGIF1z+nYKiL5/+XGDHZCWuXp+FYi+3JbIYQ+kH/TvCXMA0gJzci6D6JhX
Pr6OQPrWl+IfIDp/ymoVJyA9bzmLpiuQdhLekAiiyx41TwPRh+ZyKboB6RNN
S+pB9DX989NBtB7H3GZ3IB3Wx6/mDaQv7BOL9gPSLzgrC0H0W47PO0A019EL
Rv5A2rr1RDWIbpl6TScASJt3MU9KA9KfLrXLpQNpM26HO5lA+rOqqNY0kDly
vS1zgHTQ4l0fPgDpXU0qn36ceONoZPJ6/i8g3dQQo55yEui/xnMPU4F0+2+W
lnQgLVYRUZQNpIXZ99lXXXzjuKAgLhpEH7iQvgBET34bdgVEf/mYLloNpLX+
JcWA6CfpYWtANABX9s9z
  "],
 CellLabel->
  "Out[162]=",ExpressionUUID->"f5de2062-82e6-4178-b3f0-70275d7b3623"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{"**", 
    RowBox[{
    "*", " ", "Precompute", " ", "SLP", " ", "for", " ", "each", " ", 
     "evaluation", " ", "point"}]}], " ", "****)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"{", 
     RowBox[{"t", ",", "dlpValues"}], "}"}], "=", 
    RowBox[{"AbsoluteTiming", "[", 
     RowBox[{"ParallelTable", "[", 
      RowBox[{
       RowBox[{"DLP", "[", 
        RowBox[{"wevalPoints", "[", 
         RowBox[{"[", "idx", "]"}], "]"}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"idx", ",", "1", ",", 
         RowBox[{"Length", "[", "wevalPoints", "]"}]}], "}"}]}], "]"}], 
     "]"}]}], ";", "t"}]}]], "Input",
 CellChangeTimes->{{3.859841395867791*^9, 3.8598414524049196`*^9}, {
  3.8598415031017103`*^9, 3.859841507633668*^9}, {3.8624065543142147`*^9, 
  3.8624065559241056`*^9}, {3.8625711640193725`*^9, 3.8625711662640395`*^9}, {
  3.867925135899355*^9, 3.8679251389081116`*^9}},
 CellLabel->
  "In[163]:=",ExpressionUUID->"92b56c06-8574-48da-8409-a8bdc7d9034a"],

Cell[BoxData["11.8590075`"], "Output",
 CellChangeTimes->CompressedData["
1:eJwV0H0s1AEcBvBzndjkJUa1aMtscbfR5Azjlx95q8WhTkIrHJOGWBg6bHdc
2TgqV2O7TVHN7EZML1Z57U3L+8vShkmcq7ycxTXp+/zx3eevZ8+z79HEzCiJ
EYfDkdAtrvYLrXp0rGwmzw+aFtX67CeDi9R5cHmjbRyuW17hW5M6ZUgkn0x2
TBw6NaBju1IytmHcmMXcG3JEI/0Np2qU6rfkSqvNEky+F+PdTdpntFyDoZWB
7n2k4qPg1jhZojb+Ay/6zrITZOVMmcskKXWzDYN6PjcHtgt2KiHPJP4JNCn3
eQknxHe/wLHHzBq8UWG/d4pkNZMhML2r9TrUqKJlcEhwuQLyOv6pYZObhwb2
OPTPQa/ebxbT5LRt9gLUyvI3oLhKn7REtlU5aGBJVsBf6CucDFomOQuBB7XI
x4qvwkc2uXXwvvf8c+hvfFsLsxrNAlZI5kQx85O0iI4t1ZMJn8f74TlLpnoT
/7ENZbbJjtqgBpg7eLrQQLq355lw3lH/1u53KHXb2YWqw8f9jMimTrkE6s1G
5Ax552G3Bn7iDpufJGtKXsX4kzL5j1HouDZxliU9ZPNbkHvsl1MAmT/s6RJE
XhJYJ8FDy5EPYL2yzzGYVCiiSuGAnbgeFsgvKELIsgiD6xmyQdQYF47esD3Z
0K/s/Avo5MITRsAc5yIYzhQLRaTrzXJVCpm2GeyUSorMzRbTsKfutaiWbOR7
NteTXtaZhlWSp/Q3bL3XsT4K/VMDeUC54pz8QcdaNacuSsjypnlFKrnvq3Nh
OtnJrWALhnVsVVtvPNQOchogM/tsDB6pHrIrJE2l2gS4bjTaAv8DV9TDZg==

  "],
 CellLabel->
  "Out[163]=",ExpressionUUID->"4da116d3-d7b6-4bba-acdf-63e7d66b7ed6"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{"**", 
    RowBox[{
    "*", " ", "Precompute", " ", "I1", " ", "values", " ", "for", " ", "each",
      " ", "evaluation", " ", "point"}]}], " ", "****)"}], 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"{", 
     RowBox[{"t", ",", "I1Values"}], "}"}], "=", 
    RowBox[{"AbsoluteTiming", "[", 
     RowBox[{"ParallelTable", "[", 
      RowBox[{
       RowBox[{"I1", "[", "idx", "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"idx", ",", "1", ",", 
         RowBox[{"Length", "[", "wevalPoints", "]"}]}], "}"}]}], "]"}], 
     "]"}]}], ";", "t"}]}]], "Input",
 CellChangeTimes->{{3.85984146145463*^9, 3.859841510640745*^9}},
 CellLabel->
  "In[164]:=",ExpressionUUID->"7d8c08ac-db82-4082-9c65-334cd2028590"],

Cell[BoxData["0.1659417`"], "Output",
 CellChangeTimes->CompressedData["
1:eJwVz30w0wEYB/AfRzpFTSLJy7pNteuOu/qVdmf1c4aUku5ayUvNUIuiKJnc
6XKnvL9kymhch3ZYUm5bf6QdbZNdEUqd12p55yhslXqeP577/PHcPd/vQ+df
CY0xIwgiHmZwUOqzUT1NzVSL2TTQu7HmBupzQdGHpjL5LDswzCA8wQIZN0ve
+72BPZliRL9u2DT6CiwrLn3UBmrsncdRiaP0wGswkNYSj2bcHapAn7eWKtFQ
5hOZGtyc79mHOv8znm4HhRniyxqwKyWhBVW/zXisBfX0OA8d+Me7xB8N+9Jd
iEpd7pt1grbk+uIe8GWDi7EPbGVMUP2YOxXG+oh91E6H0dUXa6+hXktEAdo7
d64edSjhqFD+HvE7dGue25pPIOvZWAB6tEGZhKp28O6gFk2CHDRdZi5FJdz9
crR/VjeKKjSjtgNgbs71b2hztmgRVS0uR4+DszSmHJXxg36jHPEQdwLzhyOF
k5jPvFWBdurGFWiledEk2tbr6jsFJrqXcmbA21RE5k8wnvrcgQqHo4p+geVJ
qxwjSKcH1qB++mCRCUytSrMiNNCrzcmAjskJwgystyd90CrmvRhUwB7J4oDm
P/Ry1DVpyOYgmMWb4R0Cd5OTH1DVyYFgCvRo/76CPu1ZYPiCzefZu7h4Z9uW
aHQk4dQDtC5Pu90fDMrlZaICr3AJ2rMclR0AdlU7eR4BvVfqzh4Dm6Ysr6JK
yzNK1LN2HXkcc6SsdLTZupIMwX6RZeJY0K6Ax4gD2Yluhosgi6sPKQNjLWxa
JWBtcKFpHswfDDetaOGfjr0yE5g8t7BToJumhq3SDTHgWPlSdhy4TAaKLoH7
/hZRad3TlLu1NhwVPrSsQecFyl6URut3EIEKq7kI1DF5oBH9D/bp6es=
  "],
 CellLabel->
  "Out[164]=",ExpressionUUID->"6bd1fd28-f5ea-456d-b7a1-f6ffbf90c62f"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{"**", 
    RowBox[{
    "*", " ", "Precompute", " ", "I4", " ", "values", " ", "for", " ", "each",
      " ", "evaluation", " ", "point"}]}], " ", "****)"}], 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"{", 
     RowBox[{"t", ",", "I4Values"}], "}"}], "=", 
    RowBox[{"AbsoluteTiming", "[", 
     RowBox[{"ParallelTable", "[", 
      RowBox[{
       RowBox[{"I4", "[", "idx", "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"idx", ",", "1", ",", 
         RowBox[{"Length", "[", "wevalPoints", "]"}]}], "}"}]}], "]"}], 
     "]"}]}], ";", "t"}]}]], "Input",
 CellChangeTimes->{{3.859841524821767*^9, 3.859841528462014*^9}},
 CellLabel->
  "In[165]:=",ExpressionUUID->"ae937fe0-ccdc-42c8-844b-cb1d67c46ae4"],

Cell[BoxData["16.1232875`"], "Output",
 CellChangeTimes->CompressedData["
1:eJwV0n0s1AEYB/CfOmWV14SylBzL2VRmpZPj5w45i9gylS61Oy9zYSI5sh03
nfMjLyUhuzuSWRGZcBZZeVsa8rrKIjtc52LljztjPc8fzz7bd999/3ocbydH
CIwIgkiC0/wJ8LXo15KGqddMS3BH2pOBru7WTaMxYhHDCmyaG7vBAFVxh8Y5
A1pS7RC5hapMYxd6wVi7Jcs+cNbFRI42UXc0KLf+BPMDmObISEL3mJvVoFXM
912oTbnqVT+4qefOoHWFOdRHULx1KXkQfHCgtQMVxdfVD4E7tBKXYbBBmh+M
Pq2kStHHxQW0ETCkzOnJBPgiXEJNgbuOVW+htNJp9jS4fnKdMQNqpRnBaNnL
w+lo9tr1R2gFQ9WIflFWdqNUp/EYmkgv2jMLLrKjuOi2GysNHaB/laASm/lC
VGaVIkezCxUtqB/JXESrqKvmc9hr+bWEWlgv/0V73Pj8FZB37+0bdETRuI1O
2lMXV0HC4a5Qg7tmJc/RTOdP3ajUPkeLekmTuL9BZp5v0Bq40tcp/gd6eNYO
oDSlp2ITdKfLg/TgKTuFEs1Ma80ygCltk3uJQcjLS9VoR4OAMAK7nYp90Puu
agEqNFyhWGAqzaMD1ezTWfuCTaa8KD+w9rj3JPozyzWUxJ2jF/RovJ509gcT
RjmuAeBmojcf1bVnVKGL+wl6IGh2MD8XPe1+pBblSZplQeBSX4xXCGgoMokO
BaM4CanomV5VF/p9g3MuDIzMk2WjQnkN6zJoe+38s1gwZt7YJQ4MNc/RJYBn
b22IK0CZY8pyDebb32gb4ER4mJF+CP5YONNmAAuUYQz+sJZ85yFaFoD+zZ8L
4sBo9mhuImhvS7BF41qy+qEPD43YSa9D2ydsp1DDfKBdFtiwoL6JsnJ/tKD/
AR+47uU=
  "],
 CellLabel->
  "Out[165]=",ExpressionUUID->"db403aa8-0689-4121-a7fa-f797a99e814c"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
     RowBox[{"**", 
      RowBox[{
      "*", " ", "Precompute", " ", "polynomial", " ", "Coefficients", " ", 
       "up", " ", "to", " ", "a", " ", "maximum", " ", "of", " ", "N", " ", 
       "values"}]}], ";", " ", 
     RowBox[{
     "does", " ", "not", " ", "need", " ", "to", " ", "be", " ", "recomputed",
       " ", "if", " ", "P"}]}], ",", 
    RowBox[{"N", " ", "and", " ", "sc", " ", "remain", " ", "constant"}]}], 
   " ", "****)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"{", 
      RowBox[{"t", ",", "polyCoefs"}], "}"}], "=", 
     RowBox[{"AbsoluteTiming", "[", "\[IndentingNewLine]", 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"Exponent", "[", 
          RowBox[{
           RowBox[{"sc", "[", "s", "]"}], ",", "s"}], "]"}], 
         "\[GreaterEqual]", "2"}], ",", "\[IndentingNewLine]", 
        "\[IndentingNewLine]", 
        RowBox[{"(*", " ", 
         RowBox[{"superlinear", " ", "case"}], " ", "*)"}], 
        "\[IndentingNewLine]", 
        RowBox[{"ParallelTable", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"NIntegrate", "[", 
            RowBox[{
             RowBox[{
              RowBox[{"Exp", "[", 
               RowBox[{"I", "*", "p", "*", 
                RowBox[{"(", 
                 RowBox[{"Pi", "/", "2"}], ")"}], "*", "tau"}], "]"}], "/", 
              RowBox[{
               RowBox[{"(", 
                RowBox[{"tau", "+", 
                 RowBox[{"I", "*", 
                  RowBox[{"sc", "[", "tau", "]"}]}], "-", "c"}], ")"}], "^", 
               RowBox[{"(", 
                RowBox[{"j", "+", "1"}], ")"}]}]}], ",", 
             RowBox[{"{", 
              RowBox[{"tau", ",", "1", ",", "Infinity"}], "}"}], ",", 
             RowBox[{"WorkingPrecision", "\[Rule]", "50"}], ",", 
             RowBox[{"AccuracyGoal", "\[Rule]", "24"}], ",", 
             RowBox[{"PrecisionGoal", "\[Rule]", "24"}], ",", 
             RowBox[{"MaxRecursion", "\[Rule]", "100"}]}], "]"}], "+", 
           RowBox[{"NIntegrate", "[", 
            RowBox[{
             RowBox[{
              RowBox[{"Exp", "[", 
               RowBox[{"I", "*", "p", "*", 
                RowBox[{"(", 
                 RowBox[{"Pi", "/", "2"}], ")"}], "*", "tau"}], "]"}], "/", 
              RowBox[{
               RowBox[{"(", 
                RowBox[{"tau", "+", 
                 RowBox[{"I", "*", 
                  RowBox[{"sc", "[", "tau", "]"}]}], "-", "c"}], ")"}], "^", 
               RowBox[{"(", 
                RowBox[{"j", "+", "1"}], ")"}]}]}], ",", 
             RowBox[{"{", 
              RowBox[{"tau", ",", 
               RowBox[{"-", "Infinity"}], ",", 
               RowBox[{"-", "1"}]}], "}"}], ",", 
             RowBox[{"WorkingPrecision", "\[Rule]", "50"}], ",", 
             RowBox[{"AccuracyGoal", "\[Rule]", "24"}], ",", 
             RowBox[{"PrecisionGoal", "\[Rule]", "24"}], ",", 
             RowBox[{"MaxRecursion", "\[Rule]", "100"}]}], "]"}]}], ",", 
          RowBox[{"{", 
           RowBox[{"p", ",", 
            RowBox[{"-", "P"}], ",", "P"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"j", ",", "0", ",", "n"}], "}"}]}], "]"}], ",", 
        "\[IndentingNewLine]", "\[IndentingNewLine]", 
        RowBox[{"(*", " ", 
         RowBox[{"subquadratic", " ", "case"}], " ", "*)"}], 
        "\[IndentingNewLine]", 
        RowBox[{"Join", "[", "\[IndentingNewLine]", 
         RowBox[{"(*", " ", 
          RowBox[{
           RowBox[{
            RowBox[{"Negative", " ", "Frequencies"}], " ", "-", " ", 
            RowBox[{"rectangle", " ", "of", " ", "R"}]}], "=", "inf"}], " ", 
          "*)"}], "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"ParallelTable", "[", "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{
             RowBox[{"NIntegrate", "[", 
              RowBox[{
               RowBox[{
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{"Exp", "[", 
                   RowBox[{"I", "*", "p", "*", 
                    RowBox[{"(", 
                    RowBox[{"Pi", "/", "2"}], ")"}], "*", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"I", "*", "tau"}]}], ")"}]}], "]"}], "/", 
                  RowBox[{
                   RowBox[{"(", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"I", "*", "tau"}]}], ")"}], "+", 
                    RowBox[{"I", "*", 
                    RowBox[{"sc", "[", 
                    RowBox[{"1", "-", 
                    RowBox[{"I", "*", "tau"}]}], "]"}]}], "-", "c"}], ")"}], 
                   "^", 
                   RowBox[{"(", 
                    RowBox[{"j", "+", "1"}], ")"}]}]}], ")"}], "*", 
                RowBox[{"(", 
                 RowBox[{"-", "I"}], ")"}]}], ",", 
               RowBox[{"{", 
                RowBox[{"tau", ",", "0", ",", "Infinity"}], "}"}], ",", 
               RowBox[{"WorkingPrecision", "\[Rule]", "50"}], ",", 
               RowBox[{"AccuracyGoal", "\[Rule]", "24"}], ",", 
               RowBox[{"PrecisionGoal", "\[Rule]", "24"}], ",", 
               RowBox[{"MaxRecursion", "\[Rule]", "100"}]}], "]"}], "+", 
             RowBox[{"NIntegrate", "[", 
              RowBox[{
               RowBox[{
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{"Exp", "[", 
                   RowBox[{"I", "*", "p", "*", 
                    RowBox[{"(", 
                    RowBox[{"Pi", "/", "2"}], ")"}], "*", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "1"}], "+", 
                    RowBox[{"I", "*", "tau"}]}], ")"}]}], "]"}], "/", 
                  RowBox[{
                   RowBox[{"(", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "1"}], "+", 
                    RowBox[{"I", "*", "tau"}]}], ")"}], "+", 
                    RowBox[{"I", "*", 
                    RowBox[{"sc", "[", 
                    RowBox[{
                    RowBox[{"-", "1"}], "+", 
                    RowBox[{"I", "*", "tau"}]}], "]"}]}], "-", "c"}], ")"}], 
                   "^", 
                   RowBox[{"(", 
                    RowBox[{"j", "+", "1"}], ")"}]}]}], ")"}], "*", "I"}], 
               ",", 
               RowBox[{"{", 
                RowBox[{"tau", ",", 
                 RowBox[{"-", "Infinity"}], ",", "0"}], "}"}], ",", 
               RowBox[{"WorkingPrecision", "\[Rule]", "50"}], ",", 
               RowBox[{"AccuracyGoal", "\[Rule]", "24"}], ",", 
               RowBox[{"PrecisionGoal", "\[Rule]", "24"}], ",", 
               RowBox[{"MaxRecursion", "\[Rule]", "100"}]}], "]"}]}], ",", 
            "\[IndentingNewLine]", 
            RowBox[{"{", 
             RowBox[{"p", ",", 
              RowBox[{"-", "P"}], ",", 
              RowBox[{"-", "1"}]}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"j", ",", "0", ",", "n"}], "}"}]}], "]"}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{"(*", " ", 
           RowBox[{
            RowBox[{
             RowBox[{"Positive", " ", "Frequencies"}], " ", "-", " ", 
             RowBox[{"semicircle", " ", "of", " ", "R"}]}], "=", "1"}], " ", 
           "*)"}], "\[IndentingNewLine]", 
          RowBox[{"ParallelTable", "[", "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"NIntegrate", "[", 
             RowBox[{
              RowBox[{
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"Exp", "[", 
                  RowBox[{"I", "*", "p", "*", 
                   RowBox[{"(", 
                    RowBox[{"Pi", "/", "2"}], ")"}], "*", 
                   RowBox[{"Exp", "[", 
                    RowBox[{"I", "*", "\[Theta]"}], "]"}]}], "]"}], "/", 
                 RowBox[{
                  RowBox[{"(", 
                   RowBox[{
                    RowBox[{"Exp", "[", 
                    RowBox[{"I", "*", "\[Theta]"}], "]"}], "+", 
                    RowBox[{"I", "*", 
                    RowBox[{"sc", "[", 
                    RowBox[{"Exp", "[", 
                    RowBox[{"I", "*", "\[Theta]"}], "]"}], "]"}]}], "-", 
                    "c"}], ")"}], "^", 
                  RowBox[{"(", 
                   RowBox[{"j", "+", "1"}], ")"}]}]}], ")"}], "*", "I", "*", 
               RowBox[{"Exp", "[", 
                RowBox[{"I", "*", "\[Theta]"}], "]"}]}], ",", 
              RowBox[{"{", 
               RowBox[{"\[Theta]", ",", "0", ",", "Pi"}], "}"}], ",", 
              RowBox[{"WorkingPrecision", "\[Rule]", "50"}], ",", 
              RowBox[{"AccuracyGoal", "\[Rule]", "24"}], ",", 
              RowBox[{"PrecisionGoal", "\[Rule]", "24"}], ",", 
              RowBox[{"MaxRecursion", "\[Rule]", "100"}]}], "]"}], ",", 
            RowBox[{"{", 
             RowBox[{"p", ",", "0", ",", "P"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"j", ",", "0", ",", "n"}], "}"}]}], "]"}]}], 
         "\[IndentingNewLine]", "]"}]}], "\[IndentingNewLine]", "]"}], 
      "\[IndentingNewLine]", "]"}]}], ";", "t"}], 
   "\[IndentingNewLine]"}]}]], "Input",
 CellChangeTimes->{{3.8598451225612607`*^9, 3.8598451417133007`*^9}, {
   3.859894982092545*^9, 3.859895011451859*^9}, {3.8623013063352623`*^9, 
   3.8623013161530204`*^9}, {3.862343989145794*^9, 3.8623439921098385`*^9}, {
   3.8624175804366436`*^9, 3.862417623936593*^9}, {3.8624176830807347`*^9, 
   3.862417715419276*^9}, {3.8624183358907037`*^9, 3.862418350653201*^9}, {
   3.8624295138716326`*^9, 3.862429555029561*^9}, {3.8624296472031183`*^9, 
   3.862429686576725*^9}, {3.862429901420672*^9, 3.8624299054019747`*^9}, {
   3.862430071273632*^9, 3.8624300752871046`*^9}, {3.8624301364688253`*^9, 
   3.8624301756646276`*^9}, {3.862430653001062*^9, 3.8624306647980833`*^9}, 
   3.862557913533222*^9, {3.8625609197905207`*^9, 3.8625609771330004`*^9}, {
   3.8625610164325967`*^9, 3.862561022409556*^9}, 3.8625610742213526`*^9, {
   3.862561554875865*^9, 3.8625616482307076`*^9}, {3.8625721380572186`*^9, 
   3.862572146900237*^9}, {3.8625732751830378`*^9, 3.862573282893092*^9}, {
   3.8679229774578*^9, 3.867923115190609*^9}, {3.8679234603886137`*^9, 
   3.867923514238105*^9}, {3.867924429390246*^9, 3.867924474339163*^9}},
 CellLabel->
  "In[166]:=",ExpressionUUID->"b2ac60a3-7dfa-4efc-98af-0527a7ecf2bc"],

Cell[BoxData["58.527996`"], "Output",
 CellChangeTimes->{3.8679237669584303`*^9, 3.867924192318673*^9, 
  3.8679246920227413`*^9, 3.8679252643906145`*^9, 3.867925945504427*^9},
 CellLabel->
  "Out[166]=",ExpressionUUID->"7beb2462-a9db-4671-b167-df86876cb437"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
     RowBox[{"**", 
      RowBox[{
      "*", " ", "Precompute", " ", "conjugate", " ", "polynomial", " ", 
       "Coefficients", " ", "up", " ", "to", " ", "a", " ", "maximum", " ", 
       "of", " ", "N", " ", "values"}]}], ";", " ", 
     RowBox[{
     "does", " ", "not", " ", "need", " ", "to", " ", "be", " ", "recomputed",
       " ", "if", " ", "P"}]}], ",", 
    RowBox[{"N", " ", "and", " ", "sc", " ", "remain", " ", "constant"}]}], 
   " ", "****)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"{", 
     RowBox[{"t", ",", "cPolyCoefs"}], "}"}], "=", 
    RowBox[{"AbsoluteTiming", "[", "\[IndentingNewLine]", 
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"Exponent", "[", 
         RowBox[{
          RowBox[{"sc", "[", "s", "]"}], ",", "s"}], "]"}], "\[GreaterEqual]",
         "2"}], ",", "\[IndentingNewLine]", "\[IndentingNewLine]", 
       RowBox[{"(*", " ", 
        RowBox[{"superlinear", " ", "case"}], " ", "*)"}], 
       "\[IndentingNewLine]", 
       RowBox[{"ParallelTable", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"NIntegrate", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"Exp", "[", 
              RowBox[{"I", "*", "p", "*", 
               RowBox[{"(", 
                RowBox[{"Pi", "/", "2"}], ")"}], "*", "tau"}], "]"}], "/", 
             RowBox[{
              RowBox[{"(", 
               RowBox[{"tau", "-", 
                RowBox[{"I", "*", 
                 RowBox[{"sc", "[", "tau", "]"}]}], "-", "cConj"}], ")"}], 
              "^", 
              RowBox[{"(", 
               RowBox[{"j", "+", "1"}], ")"}]}]}], ",", 
            RowBox[{"{", 
             RowBox[{"tau", ",", "1", ",", "Infinity"}], "}"}], ",", 
            RowBox[{"WorkingPrecision", "\[Rule]", "50"}], ",", 
            RowBox[{"AccuracyGoal", "\[Rule]", "24"}], ",", 
            RowBox[{"PrecisionGoal", "\[Rule]", "24"}], ",", 
            RowBox[{"MaxRecursion", "\[Rule]", "100"}]}], "]"}], "+", 
          RowBox[{"NIntegrate", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"Exp", "[", 
              RowBox[{"I", "*", "p", "*", 
               RowBox[{"(", 
                RowBox[{"Pi", "/", "2"}], ")"}], "*", "tau"}], "]"}], "/", 
             RowBox[{
              RowBox[{"(", 
               RowBox[{"tau", "-", 
                RowBox[{"I", "*", 
                 RowBox[{"sc", "[", "tau", "]"}]}], "-", "cConj"}], ")"}], 
              "^", 
              RowBox[{"(", 
               RowBox[{"j", "+", "1"}], ")"}]}]}], ",", 
            RowBox[{"{", 
             RowBox[{"tau", ",", 
              RowBox[{"-", "Infinity"}], ",", 
              RowBox[{"-", "1"}]}], "}"}], ",", 
            RowBox[{"WorkingPrecision", "\[Rule]", "50"}], ",", 
            RowBox[{"AccuracyGoal", "\[Rule]", "24"}], ",", 
            RowBox[{"PrecisionGoal", "\[Rule]", "24"}], ",", 
            RowBox[{"MaxRecursion", "\[Rule]", "100"}]}], "]"}]}], ",", 
         RowBox[{"{", 
          RowBox[{"p", ",", 
           RowBox[{"-", "P"}], ",", "P"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"j", ",", "0", ",", "n"}], "}"}]}], "]"}], ",", 
       "\[IndentingNewLine]", "\[IndentingNewLine]", 
       RowBox[{"(*", " ", 
        RowBox[{"subquadratic", " ", "case"}], " ", "*)"}], 
       "\[IndentingNewLine]", 
       RowBox[{"Join", "[", "\[IndentingNewLine]", 
        RowBox[{"(*", " ", 
         RowBox[{
          RowBox[{
           RowBox[{"Negative", " ", "Frequencies"}], " ", "-", " ", 
           RowBox[{"rectangle", " ", "of", " ", "R"}]}], "=", "inf"}], " ", 
         "*)"}], "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"ParallelTable", "[", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{
            RowBox[{"NIntegrate", "[", 
             RowBox[{
              RowBox[{
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"Exp", "[", 
                  RowBox[{"I", "*", "p", "*", 
                   RowBox[{"(", 
                    RowBox[{"Pi", "/", "2"}], ")"}], "*", 
                   RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"I", "*", "tau"}]}], ")"}]}], "]"}], "/", 
                 RowBox[{
                  RowBox[{"(", 
                   RowBox[{
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"I", "*", "tau"}]}], ")"}], "-", 
                    RowBox[{"I", "*", 
                    RowBox[{"sc", "[", 
                    RowBox[{"1", "-", 
                    RowBox[{"I", "*", "tau"}]}], "]"}]}], "-", "cConj"}], 
                   ")"}], "^", 
                  RowBox[{"(", 
                   RowBox[{"j", "+", "1"}], ")"}]}]}], ")"}], "*", 
               RowBox[{"(", 
                RowBox[{"-", "I"}], ")"}]}], ",", 
              RowBox[{"{", 
               RowBox[{"tau", ",", "0", ",", "Infinity"}], "}"}], ",", 
              RowBox[{"WorkingPrecision", "\[Rule]", "50"}], ",", 
              RowBox[{"AccuracyGoal", "\[Rule]", "24"}], ",", 
              RowBox[{"PrecisionGoal", "\[Rule]", "24"}], ",", 
              RowBox[{"MaxRecursion", "\[Rule]", "100"}]}], "]"}], "+", 
            RowBox[{"NIntegrate", "[", 
             RowBox[{
              RowBox[{
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"Exp", "[", 
                  RowBox[{"I", "*", "p", "*", 
                   RowBox[{"(", 
                    RowBox[{"Pi", "/", "2"}], ")"}], "*", 
                   RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "1"}], "+", 
                    RowBox[{"I", "*", "tau"}]}], ")"}]}], "]"}], "/", 
                 RowBox[{
                  RowBox[{"(", 
                   RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "1"}], "+", 
                    RowBox[{"I", "*", "tau"}]}], ")"}], "-", 
                    RowBox[{"I", "*", 
                    RowBox[{"sc", "[", 
                    RowBox[{
                    RowBox[{"-", "1"}], "+", 
                    RowBox[{"I", "*", "tau"}]}], "]"}]}], "-", "cConj"}], 
                   ")"}], "^", 
                  RowBox[{"(", 
                   RowBox[{"j", "+", "1"}], ")"}]}]}], ")"}], "*", "I"}], ",", 
              RowBox[{"{", 
               RowBox[{"tau", ",", 
                RowBox[{"-", "Infinity"}], ",", "0"}], "}"}], ",", 
              RowBox[{"WorkingPrecision", "\[Rule]", "50"}], ",", 
              RowBox[{"AccuracyGoal", "\[Rule]", "24"}], ",", 
              RowBox[{"PrecisionGoal", "\[Rule]", "24"}], ",", 
              RowBox[{"MaxRecursion", "\[Rule]", "100"}]}], "]"}]}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{"{", 
            RowBox[{"p", ",", 
             RowBox[{"-", "P"}], ",", 
             RowBox[{"-", "1"}]}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"j", ",", "0", ",", "n"}], "}"}]}], "]"}], ",", 
         "\[IndentingNewLine]", "\[IndentingNewLine]", 
         RowBox[{"(*", " ", 
          RowBox[{
           RowBox[{
            RowBox[{"Positive", " ", "Frequencies"}], " ", "-", " ", 
            RowBox[{"semicircle", " ", "of", " ", "R"}]}], "=", "1"}], " ", 
          "*)"}], "\[IndentingNewLine]", 
         RowBox[{"ParallelTable", "[", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"NIntegrate", "[", 
            RowBox[{
             RowBox[{
              RowBox[{"(", 
               RowBox[{
                RowBox[{"Exp", "[", 
                 RowBox[{"I", "*", "p", "*", 
                  RowBox[{"(", 
                   RowBox[{"Pi", "/", "2"}], ")"}], "*", 
                  RowBox[{"Exp", "[", 
                   RowBox[{"I", "*", "\[Theta]"}], "]"}]}], "]"}], "/", 
                RowBox[{
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"Exp", "[", 
                    RowBox[{"I", "*", "\[Theta]"}], "]"}], "-", 
                   RowBox[{"I", "*", 
                    RowBox[{"sc", "[", 
                    RowBox[{"Exp", "[", 
                    RowBox[{"I", "*", "\[Theta]"}], "]"}], "]"}]}], "-", 
                   "cConj"}], ")"}], "^", 
                 RowBox[{"(", 
                  RowBox[{"j", "+", "1"}], ")"}]}]}], ")"}], "*", "I", "*", 
              RowBox[{"Exp", "[", 
               RowBox[{"I", "*", "\[Theta]"}], "]"}]}], ",", 
             RowBox[{"{", 
              RowBox[{"\[Theta]", ",", "0", ",", "Pi"}], "}"}], ",", 
             RowBox[{"WorkingPrecision", "\[Rule]", "50"}], ",", 
             RowBox[{"AccuracyGoal", "\[Rule]", "24"}], ",", 
             RowBox[{"PrecisionGoal", "\[Rule]", "24"}], ",", 
             RowBox[{"MaxRecursion", "\[Rule]", "100"}]}], "]"}], ",", 
           RowBox[{"{", 
            RowBox[{"p", ",", "0", ",", "P"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"j", ",", "0", ",", "n"}], "}"}]}], "]"}]}], 
        "\[IndentingNewLine]", "]"}]}], "\[IndentingNewLine]", "]"}], 
     "\[IndentingNewLine]", "]"}]}], ";", " ", "t"}]}]], "Input",
 CellChangeTimes->{{3.8679235084883204`*^9, 3.8679235332313333`*^9}, {
  3.8679244664889536`*^9, 3.8679244709842863`*^9}},
 CellLabel->
  "In[167]:=",ExpressionUUID->"25e60f74-0075-4da8-8b19-7f84db98b847"],

Cell[BoxData["59.1030868`"], "Output",
 CellChangeTimes->{
  3.8625733525005445`*^9, 3.8625741083163767`*^9, 3.8625743402685366`*^9, 
   3.8625762991639347`*^9, 3.862584102926608*^9, 3.862590180088669*^9, {
   3.862590358953772*^9, 3.862590366245779*^9}, 3.8625909568434687`*^9, 
   3.8625920133334503`*^9, 3.8625924879770126`*^9, 3.862594380071444*^9, 
   3.862639914596652*^9, 3.862641048000208*^9, 3.8626466672671347`*^9, 
   3.86273802127666*^9, 3.862751167344464*^9, 3.862923695903945*^9, 
   3.863463986872102*^9, 3.863467518998674*^9, 3.8636834333484926`*^9, 
   3.8636871402895765`*^9, 3.863690462127198*^9, 3.8636984978317184`*^9, 
   3.86792320873641*^9, 3.8679237921126003`*^9, 3.8679242490078983`*^9, 
   3.8679247092684107`*^9, 3.867925282015215*^9, 3.867926004644545*^9},
 CellLabel->
  "Out[167]=",ExpressionUUID->"5008f726-15ce-463e-b04f-38a8eb70185c"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"**", 
     RowBox[{"*", " ", "Calculate", " ", "all", " ", "residues"}]}], ",", " ", 
    RowBox[{"as", " ", "they", " ", 
     RowBox[{"don", "'"}], "t", " ", "depend", " ", "on", " ", "N"}]}], " ", 
   "****)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"{", 
     RowBox[{"t", ",", "residues"}], "}"}], "=", 
    RowBox[{"AbsoluteTiming", "[", "\[IndentingNewLine]", 
     RowBox[{"2", "*", "Pi", "*", "I", "*", 
      RowBox[{"ParallelTable", "[", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{
         RowBox[{"Sum", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"Fneg", "[", 
             RowBox[{"idx", ",", 
              RowBox[{"lowerRoots", "[", 
               RowBox[{"[", 
                RowBox[{"idx", ",", "j"}], "]"}], "]"}]}], "]"}], "/", 
            RowBox[{"(", 
             RowBox[{"1", "+", 
              RowBox[{"I", "*", 
               RowBox[{"scp", "[", 
                RowBox[{"lowerRoots", "[", 
                 RowBox[{"[", 
                  RowBox[{"idx", ",", "j"}], "]"}], "]"}], "]"}]}]}], ")"}]}],
            ",", 
           RowBox[{"{", 
            RowBox[{"j", ",", "1", ",", " ", 
             RowBox[{"Length", "[", 
              RowBox[{"lowerRoots", "[", 
               RowBox[{"[", "idx", "]"}], "]"}], "]"}]}], "}"}]}], "]"}], "-", 
         RowBox[{"Sum", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"Fpos", "[", 
             RowBox[{"idx", ",", 
              RowBox[{"upperRoots", "[", 
               RowBox[{"[", 
                RowBox[{"idx", ",", "j"}], "]"}], "]"}]}], "]"}], "/", 
            RowBox[{"(", 
             RowBox[{"1", "+", 
              RowBox[{"I", "*", 
               RowBox[{"scp", "[", 
                RowBox[{"upperRoots", "[", 
                 RowBox[{"[", 
                  RowBox[{"idx", ",", "j"}], "]"}], "]"}], "]"}]}]}], " ", 
             ")"}]}], ",", 
           RowBox[{"{", 
            RowBox[{"j", ",", "1", ",", " ", 
             RowBox[{"Length", "[", 
              RowBox[{"upperRoots", "[", 
               RowBox[{"[", "idx", "]"}], "]"}], "]"}]}], "}"}]}], "]"}], "+", 
         RowBox[{"Sum", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"Fneg", "[", 
             RowBox[{"idx", ",", 
              RowBox[{"lowerRootsC", "[", 
               RowBox[{"[", 
                RowBox[{"idx", ",", "j"}], "]"}], "]"}]}], "]"}], "/", 
            RowBox[{"(", 
             RowBox[{"1", "-", 
              RowBox[{"I", "*", 
               RowBox[{"scp", "[", 
                RowBox[{"lowerRootsC", "[", 
                 RowBox[{"[", 
                  RowBox[{"idx", ",", "j"}], "]"}], "]"}], "]"}]}]}], ")"}]}],
            ",", 
           RowBox[{"{", 
            RowBox[{"j", ",", "1", ",", " ", 
             RowBox[{"Length", "[", 
              RowBox[{"lowerRootsC", "[", 
               RowBox[{"[", "idx", "]"}], "]"}], "]"}]}], "}"}]}], "]"}], "-", 
         RowBox[{"Sum", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"Fpos", "[", 
             RowBox[{"idx", ",", 
              RowBox[{"upperRootsC", "[", 
               RowBox[{"[", 
                RowBox[{"idx", ",", "j"}], "]"}], "]"}]}], "]"}], "/", 
            RowBox[{"(", 
             RowBox[{"1", "-", 
              RowBox[{"I", "*", 
               RowBox[{"scp", "[", 
                RowBox[{"upperRootsC", "[", 
                 RowBox[{"[", 
                  RowBox[{"idx", ",", "j"}], "]"}], "]"}], "]"}]}]}], " ", 
             ")"}]}], ",", 
           RowBox[{"{", 
            RowBox[{"j", ",", "1", ",", " ", 
             RowBox[{"Length", "[", 
              RowBox[{"upperRootsC", "[", 
               RowBox[{"[", "idx", "]"}], "]"}], "]"}]}], "}"}]}], "]"}], "+",
          "\[IndentingNewLine]", 
         RowBox[{"I", "*", 
          RowBox[{"Sum", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"SFneg", "[", 
              RowBox[{"idx", ",", 
               RowBox[{"lowerRoots", "[", 
                RowBox[{"[", 
                 RowBox[{"idx", ",", "j"}], "]"}], "]"}]}], "]"}], "/", 
             RowBox[{"(", 
              RowBox[{"1", "+", 
               RowBox[{"I", "*", 
                RowBox[{"scp", "[", 
                 RowBox[{"lowerRoots", "[", 
                  RowBox[{"[", 
                   RowBox[{"idx", ",", "j"}], "]"}], "]"}], "]"}]}]}], 
              ")"}]}], ",", 
            RowBox[{"{", 
             RowBox[{"j", ",", "1", ",", " ", 
              RowBox[{"Length", "[", 
               RowBox[{"lowerRoots", "[", 
                RowBox[{"[", "idx", "]"}], "]"}], "]"}]}], "}"}]}], "]"}]}], 
         "-", 
         RowBox[{"I", "*", 
          RowBox[{"Sum", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"SFpos", "[", 
              RowBox[{"idx", ",", 
               RowBox[{"upperRoots", "[", 
                RowBox[{"[", 
                 RowBox[{"idx", ",", "j"}], "]"}], "]"}]}], "]"}], "/", 
             RowBox[{"(", 
              RowBox[{"1", "+", 
               RowBox[{"I", "*", 
                RowBox[{"scp", "[", 
                 RowBox[{"upperRoots", "[", 
                  RowBox[{"[", 
                   RowBox[{"idx", ",", "j"}], "]"}], "]"}], "]"}]}]}], " ", 
              ")"}]}], ",", 
            RowBox[{"{", 
             RowBox[{"j", ",", "1", ",", " ", 
              RowBox[{"Length", "[", 
               RowBox[{"upperRoots", "[", 
                RowBox[{"[", "idx", "]"}], "]"}], "]"}]}], "}"}]}], "]"}]}], 
         "-", 
         RowBox[{"I", "*", 
          RowBox[{"Sum", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"SFneg", "[", 
              RowBox[{"idx", ",", 
               RowBox[{"lowerRootsC", "[", 
                RowBox[{"[", 
                 RowBox[{"idx", ",", "j"}], "]"}], "]"}]}], "]"}], "/", 
             RowBox[{"(", 
              RowBox[{"1", "-", 
               RowBox[{"I", "*", 
                RowBox[{"scp", "[", 
                 RowBox[{"lowerRootsC", "[", 
                  RowBox[{"[", 
                   RowBox[{"idx", ",", "j"}], "]"}], "]"}], "]"}]}]}], 
              ")"}]}], ",", 
            RowBox[{"{", 
             RowBox[{"j", ",", "1", ",", " ", 
              RowBox[{"Length", "[", 
               RowBox[{"lowerRootsC", "[", 
                RowBox[{"[", "idx", "]"}], "]"}], "]"}]}], "}"}]}], "]"}]}], 
         "+", 
         RowBox[{"I", "*", 
          RowBox[{"Sum", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"SFpos", "[", 
              RowBox[{"idx", ",", 
               RowBox[{"upperRootsC", "[", 
                RowBox[{"[", 
                 RowBox[{"idx", ",", "j"}], "]"}], "]"}]}], "]"}], "/", 
             RowBox[{"(", 
              RowBox[{"1", "-", 
               RowBox[{"I", "*", 
                RowBox[{"scp", "[", 
                 RowBox[{"upperRootsC", "[", 
                  RowBox[{"[", 
                   RowBox[{"idx", ",", "j"}], "]"}], "]"}], "]"}]}]}], 
              ")"}]}], ",", 
            RowBox[{"{", 
             RowBox[{"j", ",", "1", ",", " ", 
              RowBox[{"Length", "[", 
               RowBox[{"upperRootsC", "[", 
                RowBox[{"[", "idx", "]"}], "]"}], "]"}]}], "}"}]}], "]"}]}]}],
         ",", "\[IndentingNewLine]", 
        RowBox[{"{", 
         RowBox[{"idx", ",", "1", ",", 
          RowBox[{"Length", "[", "wevalPoints", "]"}]}], "}"}]}], "]"}]}], 
     "\[IndentingNewLine]", "]"}]}], ";", "t"}]}]], "Input",
 CellChangeTimes->{{3.8623502224692674`*^9, 3.8623502233715773`*^9}, {
   3.862350436644168*^9, 3.862350548480016*^9}, {3.8623506148643875`*^9, 
   3.8623506734350615`*^9}, {3.862350839756665*^9, 3.862350840259898*^9}, {
   3.862351334847483*^9, 3.862351341946226*^9}, {3.8623515662209606`*^9, 
   3.8623515689843426`*^9}, {3.8623816078100033`*^9, 
   3.8623816225317264`*^9}, {3.862405702903082*^9, 3.862405708605241*^9}, {
   3.86259242046854*^9, 3.8625924334677496`*^9}, 3.867924512206946*^9},
 CellLabel->
  "In[168]:=",ExpressionUUID->"b0a9c1ab-64b4-4df6-845e-4a4b46e285da"],

Cell[BoxData["2.2382136`"], "Output",
 CellChangeTimes->{
  3.8625924917800436`*^9, 3.862594737910046*^9, 3.8626400863985877`*^9, 
   3.8626412198411007`*^9, 3.862646701028346*^9, 3.862738113060302*^9, 
   3.8627516510664062`*^9, 3.8629241049837446`*^9, 3.8634640414644346`*^9, 
   3.8634676506560593`*^9, 3.8636834579995728`*^9, 3.863687403376663*^9, 
   3.8636906914831476`*^9, 3.86369855661811*^9, 3.8679232449214478`*^9, 
   3.8679238601113787`*^9, {3.867924249703141*^9, 3.8679242628066463`*^9}, 
   3.867924710575688*^9, 3.8679252826565*^9, 3.8679260069215617`*^9},
 CellLabel->
  "Out[168]=",ExpressionUUID->"51dfb0eb-9423-40ff-aae3-5b02b1228888"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"**", 
     RowBox[{"*", " ", "Calculate", " ", "the", " ", "initial", " ", "N"}]}], 
    "=", 
    RowBox[{"0", " ", "case", " ", "to", " ", "avoid", " ", 
     RowBox[{"0", "^", "0"}]}]}], " ", "****)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"QB2X", "=", 
     RowBox[{"{", "}"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"AppendTo", "[", 
     RowBox[{"QB2X", ",", "\[IndentingNewLine]", 
      RowBox[{"ParallelTable", "[", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"Sum", "[", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{"Fcoefs", "[", 
             RowBox[{"[", 
              RowBox[{"idx", ",", 
               RowBox[{"p", "+", "P", "+", "1"}]}], "]"}], "]"}], "*", 
            RowBox[{"polyCoefs", "[", 
             RowBox[{"[", 
              RowBox[{
               RowBox[{"p", "+", "P", "+", "1"}], ",", " ", "1"}], "]"}], 
             "]"}]}], "+", "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"Fcoefs", "[", 
             RowBox[{"[", 
              RowBox[{"idx", ",", 
               RowBox[{"p", "+", "P", "+", "1"}]}], "]"}], "]"}], "*", 
            RowBox[{"cPolyCoefs", "[", 
             RowBox[{"[", 
              RowBox[{
               RowBox[{"p", "+", "P", "+", "1"}], ",", " ", "1"}], "]"}], 
             "]"}]}], "+", "\[IndentingNewLine]", 
           RowBox[{"I", "*", 
            RowBox[{"SFcoefs", "[", 
             RowBox[{"[", 
              RowBox[{"idx", ",", 
               RowBox[{"p", "+", "P", "+", "1"}]}], "]"}], "]"}], "*", 
            RowBox[{"polyCoefs", "[", 
             RowBox[{"[", 
              RowBox[{
               RowBox[{"p", "+", "P", "+", "1"}], ",", " ", "1"}], "]"}], 
             "]"}]}], "-", "\[IndentingNewLine]", 
           RowBox[{"I", "*", 
            RowBox[{"SFcoefs", "[", 
             RowBox[{"[", 
              RowBox[{"idx", ",", 
               RowBox[{"p", "+", "P", "+", "1"}]}], "]"}], "]"}], "*", 
            RowBox[{"cPolyCoefs", "[", 
             RowBox[{"[", 
              RowBox[{
               RowBox[{"p", "+", "P", "+", "1"}], ",", " ", "1"}], "]"}], 
             "]"}]}]}], ",", "\[IndentingNewLine]", 
          RowBox[{"{", 
           RowBox[{"p", ",", 
            RowBox[{"-", "P"}], ",", "P"}], "}"}]}], "]"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"{", 
         RowBox[{"idx", ",", "1", ",", 
          RowBox[{"Length", "[", "wevalPoints", "]"}]}], "}"}]}], 
       "\[IndentingNewLine]", "]"}]}], "\[IndentingNewLine]", "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{"**", 
      RowBox[{
      "*", " ", "Calculate", " ", "all", " ", "other", " ", "cases", " ", 
       "for", " ", "N"}]}], ">", "0"}], " ", "****)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"{", 
      RowBox[{"t", ",", "tt"}], "}"}], "=", 
     RowBox[{"AbsoluteTiming", "[", "\[IndentingNewLine]", 
      RowBox[{"Do", "[", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"AppendTo", "[", 
         RowBox[{"QB2X", ",", "\[IndentingNewLine]", 
          RowBox[{"ParallelTable", "[", "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"Sum", "[", "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{
               RowBox[{
                RowBox[{"Fcoefs", "[", 
                 RowBox[{"[", 
                  RowBox[{"idx", ",", 
                   RowBox[{"p", "+", "P", "+", "1"}]}], "]"}], "]"}], "*", 
                RowBox[{"polyCoefs", "[", 
                 RowBox[{"[", 
                  RowBox[{
                   RowBox[{"p", "+", "P", "+", "1"}], ",", " ", 
                   RowBox[{"j", "+", "1"}]}], "]"}], "]"}], "*", 
                RowBox[{
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"wevalPoints", "[", 
                    RowBox[{"[", "idx", "]"}], "]"}], "-", "c"}], ")"}], "^", 
                 "j"}]}], "+", "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{"Fcoefs", "[", 
                 RowBox[{"[", 
                  RowBox[{"idx", ",", 
                   RowBox[{"p", "+", "P", "+", "1"}]}], "]"}], "]"}], "*", 
                RowBox[{"cPolyCoefs", "[", 
                 RowBox[{"[", 
                  RowBox[{
                   RowBox[{"p", "+", "P", "+", "1"}], ",", " ", 
                   RowBox[{"j", "+", "1"}]}], "]"}], "]"}], "*", 
                RowBox[{
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"cwevalPoints", "[", 
                    RowBox[{"[", "idx", "]"}], "]"}], "-", "cConj"}], ")"}], 
                 "^", "j"}]}], "+", "\[IndentingNewLine]", 
               RowBox[{"I", "*", 
                RowBox[{"SFcoefs", "[", 
                 RowBox[{"[", 
                  RowBox[{"idx", ",", 
                   RowBox[{"p", "+", "P", "+", "1"}]}], "]"}], "]"}], "*", 
                RowBox[{"polyCoefs", "[", 
                 RowBox[{"[", 
                  RowBox[{
                   RowBox[{"p", "+", "P", "+", "1"}], ",", " ", 
                   RowBox[{"j", "+", "1"}]}], "]"}], "]"}], "*", 
                RowBox[{
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"wevalPoints", "[", 
                    RowBox[{"[", "idx", "]"}], "]"}], "-", "c"}], ")"}], "^", 
                 "j"}]}], "-", "\[IndentingNewLine]", 
               RowBox[{"I", "*", 
                RowBox[{"SFcoefs", "[", 
                 RowBox[{"[", 
                  RowBox[{"idx", ",", 
                   RowBox[{"p", "+", "P", "+", "1"}]}], "]"}], "]"}], "*", 
                RowBox[{"cPolyCoefs", "[", 
                 RowBox[{"[", 
                  RowBox[{
                   RowBox[{"p", "+", "P", "+", "1"}], ",", " ", 
                   RowBox[{"j", "+", "1"}]}], "]"}], "]"}], "*", 
                RowBox[{
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"cwevalPoints", "[", 
                    RowBox[{"[", "idx", "]"}], "]"}], "-", "cConj"}], ")"}], 
                 "^", "j"}]}]}], ",", "\[IndentingNewLine]", 
              RowBox[{"{", 
               RowBox[{"p", ",", 
                RowBox[{"-", "P"}], ",", "P"}], "}"}]}], "]"}], ",", 
            "\[IndentingNewLine]", 
            RowBox[{"{", 
             RowBox[{"idx", ",", "1", ",", 
              RowBox[{"Length", "[", "wevalPoints", "]"}]}], "}"}]}], "]"}]}],
          "\[IndentingNewLine]", "]"}], ",", "\[IndentingNewLine]", 
        RowBox[{"{", 
         RowBox[{"j", ",", "1", ",", "n"}], "}"}]}], "]"}], 
      "\[IndentingNewLine]", "]"}]}], ";", "t"}]}]}]], "Input",
 CellChangeTimes->{{3.862350569536492*^9, 3.8623506036883307`*^9}, {
   3.8623506831323776`*^9, 3.8623506832729197`*^9}, {3.862350734341565*^9, 
   3.862350807997609*^9}, {3.862351007340355*^9, 3.862351016384977*^9}, 
   3.862351056591305*^9, {3.86235152361684*^9, 3.862351536039344*^9}, {
   3.862352130611085*^9, 3.8623521313999257`*^9}, {3.862352233425985*^9, 
   3.8623522656521587`*^9}, {3.8623815960019436`*^9, 
   3.8623815964530873`*^9}, {3.862381692934876*^9, 3.862381752334115*^9}, {
   3.862418189234867*^9, 3.8624181934055586`*^9}, {3.86242994153511*^9, 
   3.8624299425332985`*^9}, {3.8625617750036764`*^9, 3.862561781838204*^9}, 
   3.8625621530315986`*^9, {3.8625623680394554`*^9, 3.862562427774537*^9}, {
   3.862562521243163*^9, 3.86256253082458*^9}, 3.8625626854150324`*^9, {
   3.862562741733569*^9, 3.8625627459935703`*^9}, 3.8625630299137974`*^9, {
   3.862563139820673*^9, 3.8625631589905014`*^9}, {3.8625632440550346`*^9, 
   3.8625632478447037`*^9}, {3.8625900701319685`*^9, 3.862590101297679*^9}, {
   3.8625908015337553`*^9, 3.8625908053563623`*^9}, {3.862591314460703*^9, 
   3.862591344721161*^9}, {3.862591393649823*^9, 3.862591434261325*^9}, {
   3.86259147012101*^9, 3.862591564352096*^9}, {3.862592379827713*^9, 
   3.862592392971215*^9}, {3.862592550658465*^9, 3.862592552266264*^9}, {
   3.867923250493112*^9, 3.867923257273778*^9}, {3.8679233394021893`*^9, 
   3.8679233592837615`*^9}, {3.8679233909685984`*^9, 3.867923425355547*^9}, {
   3.867924573987008*^9, 3.8679245797939763`*^9}, {3.8679248245742846`*^9, 
   3.8679248325919065`*^9}, {3.8679248682023163`*^9, 
   3.8679248737148857`*^9}, {3.8679249123631616`*^9, 3.867924915394581*^9}},
 CellLabel->
  "In[169]:=",ExpressionUUID->"1b95587a-595b-4848-8563-571a79922420"],

Cell[BoxData["22.2693374`"], "Output",
 CellChangeTimes->{
  3.862592492648353*^9, 3.8625925538714895`*^9, 3.8625958327961164`*^9, 
   3.8626402704519415`*^9, 3.862641398293653*^9, 3.862646768026932*^9, 
   3.8627381570370927`*^9, 3.862751715467741*^9, 3.862925298457011*^9, 
   3.863464162298014*^9, 3.8634678968556905`*^9, 3.863683468212246*^9, 
   3.8636876325525055`*^9, 3.863690904639475*^9, 3.8636986675653224`*^9, 
   3.867923863093448*^9, {3.8679242514071383`*^9, 3.867924265057668*^9}, 
   3.8679247178989925`*^9, 3.8679248332983704`*^9, 3.867924922869191*^9, 
   3.86792528938838*^9, 3.8679260310351777`*^9},
 CellLabel->
  "Out[171]=",ExpressionUUID->"969ba906-e12f-422d-b5f8-e35c9b4d0301"]
}, Open  ]],

Cell[BoxData[
 RowBox[{" ", 
  RowBox[{"(*", " ", 
   RowBox[{
   "Create", " ", "an", " ", "error", " ", "function", " ", "to", " ", 
    "compare", " ", "the", " ", "exact", " ", "solution", " ", "to", " ", 
    "the", " ", "approximate", " ", "numerical", " ", "solution"}], " ", 
   "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"DLPQB2Xerror", "[", "Nmax_", "]"}], ":=", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"dlpValues", "-", "I1Values", "-", "I4Values", "-", 
       RowBox[{"ParallelSum", "[", 
        RowBox[{
         RowBox[{"QB2X", "[", 
          RowBox[{"[", "nn", "]"}], "]"}], ",", 
         RowBox[{"{", 
          RowBox[{"nn", ",", "1", ",", 
           RowBox[{"Nmax", "+", "1"}]}], "}"}]}], "]"}], "-", "residues"}], 
      ")"}], "/", "dlpValues"}]}], ";"}]}]], "Input",
 CellChangeTimes->{{3.8679251549152203`*^9, 3.867925160623167*^9}},
 CellLabel->
  "In[172]:=",ExpressionUUID->"4a4e1a5f-1cae-4b68-9f30-487f5a34e9d7"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{"**", 
    RowBox[{
    "*", " ", "Create", " ", "a", " ", "graphical", " ", "representation", 
     " ", "of", " ", "the", " ", "error", " ", "for", " ", "choice", " ", 
     "of", " ", "N"}]}], " ", "****)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"err", "=", 
     RowBox[{"DLPQB2Xerror", "[", "n", "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"data", "=", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Re", "[", 
          RowBox[{"wevalPoints", "[", 
           RowBox[{"[", "idx", "]"}], "]"}], "]"}], ",", 
         RowBox[{"Im", "[", 
          RowBox[{"wevalPoints", "[", 
           RowBox[{"[", "idx", "]"}], "]"}], "]"}], ",", 
         RowBox[{
          RowBox[{"Log", "[", 
           RowBox[{"Abs", "[", 
            RowBox[{"err", "[", 
             RowBox[{"[", "idx", "]"}], "]"}], "]"}], "]"}], "/", 
          RowBox[{"Log", "[", "10", "]"}]}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"idx", ",", "1", ",", 
         RowBox[{"Length", "[", "err", "]"}]}], "}"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"data", "=", 
     RowBox[{"data", "/.", 
      RowBox[{"Indeterminate", "\[Rule]", 
       RowBox[{"-", "16"}]}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{"maxError", "=", 
    RowBox[{"Max", "[", 
     RowBox[{
      RowBox[{"Select", "[", 
       RowBox[{"data", ",", 
        RowBox[{
         RowBox[{
          RowBox[{"#", "[", 
           RowBox[{"[", "2", "]"}], "]"}], "<", 
          RowBox[{"sc", "[", 
           RowBox[{"#", "[", 
            RowBox[{"[", "1", "]"}], "]"}], "]"}]}], "&"}]}], "]"}], "[", 
      RowBox[{"[", 
       RowBox[{"All", ",", "3"}], "]"}], "]"}], "]"}]}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"minError", "=", 
     RowBox[{"Min", "[", 
      RowBox[{
       RowBox[{"Select", "[", 
        RowBox[{"data", ",", 
         RowBox[{
          RowBox[{
           RowBox[{"#", "[", 
            RowBox[{"[", "2", "]"}], "]"}], "<", 
           RowBox[{"sc", "[", 
            RowBox[{"#", "[", 
             RowBox[{"[", "1", "]"}], "]"}], "]"}]}], "&"}]}], "]"}], "[", 
       RowBox[{"[", 
        RowBox[{"All", ",", "3"}], "]"}], "]"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"plot1", "=", 
     RowBox[{"ListDensityPlot", "[", 
      RowBox[{"data", ",", "\[IndentingNewLine]", 
       RowBox[{"RegionFunction", "\[Rule]", 
        RowBox[{"Function", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"x", ",", "y", ",", "z"}], "}"}], ",", 
          RowBox[{"y", "<", 
           RowBox[{"sc", "[", "x", "]"}]}]}], "]"}]}], ",", 
       "\[IndentingNewLine]", " ", 
       RowBox[{"PlotRange", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"1.1", "*", 
             RowBox[{"Min", "[", 
              RowBox[{"Re", "[", "wevalPoints", "]"}], "]"}]}], ",", 
            RowBox[{"1.1", "*", 
             RowBox[{"Max", "[", 
              RowBox[{"Re", "[", "wevalPoints", "]"}], "]"}]}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"1.1", "*", 
             RowBox[{"Min", "[", 
              RowBox[{"Im", "[", "wevalPoints", "]"}], "]"}]}], ",", 
            RowBox[{"1.1", "*", 
             RowBox[{"Max", "[", 
              RowBox[{"Im", "[", "wevalPoints", "]"}], "]"}]}]}], "}"}], ",", 
          " ", "All"}], "}"}]}], ",", "\[IndentingNewLine]", 
       RowBox[{"ColorFunctionScaling", "\[Rule]", "False"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"ColorFunction", "\[Rule]", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           RowBox[{"ColorData", "[", "\"\<DarkRainbow\>\"", "]"}], "[", 
           RowBox[{"Rescale", "[", 
            RowBox[{"#", ",", " ", 
             RowBox[{"{", 
              RowBox[{"minError", ",", "maxError"}], "}"}]}], "]"}], "]"}], 
          " ", "&"}], ")"}]}], ",", "\[IndentingNewLine]", 
       RowBox[{"PlotLegends", "\[Rule]", 
        RowBox[{"BarLegend", "[", 
         RowBox[{"{", 
          RowBox[{"Automatic", ",", 
           RowBox[{"{", 
            RowBox[{"minError", ",", "maxError"}], "}"}]}], "}"}], "]"}]}]}], 
      "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"plot2", "=", 
     RowBox[{"Graphics", "[", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"PointSize", "[", "Large", "]"}], ",", " ", 
        RowBox[{"Point", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"Re", "[", "c", "]"}], ",", " ", 
           RowBox[{"Im", "[", "c", "]"}]}], "}"}], "]"}]}], "}"}], "]"}]}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"plot3", "=", 
     RowBox[{"Plot", "[", 
      RowBox[{
       RowBox[{"sc", "[", "x", "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"x", ",", 
         RowBox[{"-", "1"}], ",", "1"}], "}"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{"Show", "[", 
    RowBox[{"plot1", ",", "plot2", ",", "plot3"}], "]"}]}]}]], "Input",
 CellChangeTimes->{{3.8598433381596456`*^9, 3.859843352600688*^9}, {
   3.8598434349436836`*^9, 3.8598434354798355`*^9}, 3.859844287395903*^9, {
   3.8598445550391283`*^9, 3.8598446090490665`*^9}, {3.85989539335363*^9, 
   3.85989540274146*^9}, {3.859898445011229*^9, 3.8598984677220373`*^9}, {
   3.859898527986878*^9, 3.859898537458652*^9}, {3.862046469741153*^9, 
   3.8620464715864506`*^9}, {3.862046979722124*^9, 3.862046979843151*^9}, {
   3.8622985261355915`*^9, 3.862298527367591*^9}, {3.862299127301163*^9, 
   3.8622991338155584`*^9}, {3.8623007067046885`*^9, 3.862300766674687*^9}, {
   3.8623115921199727`*^9, 3.862311607017735*^9}, {3.86231165237197*^9, 
   3.8623116773828535`*^9}, {3.8623117391017294`*^9, 3.862311745760457*^9}, {
   3.8623118452220163`*^9, 3.862311872819824*^9}, {3.862311915627252*^9, 
   3.8623119341593966`*^9}, {3.8623496607452765`*^9, 
   3.8623496719868407`*^9}, {3.8623814887508435`*^9, 3.862381503383299*^9}, {
   3.862381779322161*^9, 3.8623817794931536`*^9}, {3.8623818221231413`*^9, 
   3.862381822251954*^9}, {3.862382071728253*^9, 3.8623821259638596`*^9}, {
   3.8623821727758837`*^9, 3.862382201644116*^9}, {3.8623822390444155`*^9, 
   3.862382290433445*^9}, {3.8623823417404566`*^9, 3.8623824253615255`*^9}, 
   3.862382802186305*^9, {3.8623828402312155`*^9, 3.862382850621138*^9}, 
   3.8623829065973516`*^9, 3.862383822745796*^9, {3.862383853705677*^9, 
   3.8623839337563267`*^9}, {3.862383976279007*^9, 3.86238398739913*^9}, {
   3.8623843165699415`*^9, 3.862384377288782*^9}, 3.8623848556514626`*^9, {
   3.8623849162015433`*^9, 3.8623849182652225`*^9}, {3.8623850813271027`*^9, 
   3.8623850954147778`*^9}, {3.8623856411764193`*^9, 
   3.8623856517787933`*^9}, {3.862386304784751*^9, 3.8623863055787706`*^9}, {
   3.862386585591564*^9, 3.8623865889455996`*^9}, {3.862392072597867*^9, 
   3.8623920919873075`*^9}, 3.862392291096545*^9, {3.8623931527162*^9, 
   3.862393152935027*^9}, {3.8623933371455507`*^9, 3.862393337911455*^9}, {
   3.8623934132545624`*^9, 3.862393468228877*^9}, {3.862406223413769*^9, 
   3.862406235383274*^9}, 3.862406573548337*^9, {3.862406905113641*^9, 
   3.8624069187222223`*^9}, {3.8624118636257696`*^9, 3.862411875738597*^9}, {
   3.8624165986446114`*^9, 3.862416602165723*^9}, 3.8624167840154643`*^9, {
   3.8624299780485325`*^9, 3.862429978907436*^9}, 3.862431669773285*^9, {
   3.86243194985734*^9, 3.862431964221566*^9}, {3.8624324789013653`*^9, 
   3.862432491858801*^9}, 3.8624331157784615`*^9, {3.8625585932736893`*^9, 
   3.86255862103001*^9}, 3.862558706277681*^9, {3.862560276523959*^9, 
   3.8625602765767264`*^9}, {3.862561523675679*^9, 3.8625615242879853`*^9}, {
   3.862563252836636*^9, 3.862563252973525*^9}, {3.8625634858612156`*^9, 
   3.862563501164076*^9}, {3.862563536636878*^9, 3.8625635471243467`*^9}, {
   3.86256360181921*^9, 3.8625636138786273`*^9}, {3.8625641079330053`*^9, 
   3.862564108118229*^9}, {3.862565208588316*^9, 3.862565208983178*^9}, {
   3.8625663937435884`*^9, 3.86256639392153*^9}, {3.862566752961775*^9, 
   3.862566753337644*^9}, 3.8625667946086836`*^9, 3.8625711895744777`*^9, {
   3.8625714316186557`*^9, 3.862571481802108*^9}, {3.862572385281101*^9, 
   3.8625723901011653`*^9}, {3.86257347749339*^9, 3.8625734852323494`*^9}, {
   3.8625744539654655`*^9, 3.8625744554205065`*^9}, {3.862576097900029*^9, 
   3.8625760981463704`*^9}, {3.8625901078237543`*^9, 
   3.8625901088949084`*^9}, {3.862590640816858*^9, 3.862590641027873*^9}, {
   3.8625910313502803`*^9, 3.8625910316685753`*^9}, {3.862591614303781*^9, 
   3.86259162001598*^9}, {3.8625917787804565`*^9, 3.8625917807569695`*^9}, {
   3.8625925665611954`*^9, 3.8625925668228426`*^9}, {3.8625977648299446`*^9, 
   3.8625978181791186`*^9}, {3.8626033111173067`*^9, 3.862603323971423*^9}, 
   3.8626037143672857`*^9, 3.8626037771514745`*^9, {3.8626039334409194`*^9, 
   3.862603945777211*^9}, {3.862604148186863*^9, 3.8626041729221582`*^9}, {
   3.862604250530381*^9, 3.8626042719512815`*^9}, {3.8626051762329817`*^9, 
   3.86260519713664*^9}, 3.862605239596071*^9, {3.862640388468007*^9, 
   3.862640388848991*^9}, {3.862647129551375*^9, 3.862647139115897*^9}, 
   3.8627366487183557`*^9, {3.862751822373414*^9, 3.8627518381649017`*^9}, {
   3.862751889962989*^9, 3.8627519111167765`*^9}, {3.8629212735142975`*^9, 
   3.862921276771591*^9}, 3.862922409260727*^9, {3.86346826139158*^9, 
   3.8634682691922517`*^9}, {3.863683458289817*^9, 3.8636834649120626`*^9}, {
   3.8636914738775744`*^9, 3.8636915008296423`*^9}, {3.8679238909873276`*^9, 
   3.8679240208762703`*^9}, {3.8679242697003174`*^9, 
   3.8679242829528112`*^9}, {3.8679245286968174`*^9, 
   3.8679245392417154`*^9}, {3.8679246173258705`*^9, 
   3.8679246181538363`*^9}, {3.8679249387077413`*^9, 3.867924944618667*^9}, 
   3.867924975726076*^9, 3.867925162740712*^9},
 CellLabel->
  "In[173]:=",ExpressionUUID->"84b8ef10-d532-4dd4-b8a4-db0e12700455"],

Cell[BoxData[
 RowBox[{"-", "10.285664943022915`"}]], "Output",
 CellChangeTimes->{{3.863691485401544*^9, 3.8636915021477118`*^9}, 
   3.8636987278421144`*^9, {3.8679239822122784`*^9, 3.8679240217094555`*^9}, {
   3.8679242560881376`*^9, 3.8679242834990788`*^9}, 3.867924718064537*^9, 
   3.8679248423791933`*^9, {3.867924925503742*^9, 3.867924945177202*^9}, 
   3.867924976209689*^9, 3.8679252895300026`*^9, 3.8679260311897507`*^9},
 CellLabel->
  "Out[176]=",ExpressionUUID->"91192069-be94-4812-8567-0d8c271d677b"],

Cell[BoxData[
 TemplateBox[{
   GraphicsBox[{
     GraphicsComplexBox[CompressedData["
1:eJx1mH1snWUVwBshZBo1jsWNDBXINFGzIMNIlAEHgzJFIt3AzBHS6AhFHVgW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      "], {{{
         EdgeForm[], 
         GrayLevel[0.8], 
         GraphicsGroupBox[{
           PolygonBox[CompressedData["
1:eJxNmXWYltUWxed8MNTQMRJDDDDAkI50dwsiIV0KQ4OECBKXlBJJAy8qoaSI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            "]], 
           PolygonBox[CompressedData["
1:eJw11OdvT3EUx/Hv96qSWA0h8ZCH/gXa0BpN/Ai1N61Ro/3Ze8V6JEbsUUL0
Aam9Q4wQo3ZDaGxiBUFSUqLifXI+ffDKub9773ec8z33164wXVCahBBSyMCm
GMJXjMYafi8iLkRfFOAOlmEE+mAHDmIwpuIEWjHhAmJvbMAndMMS5vsSfQ2b
ewDxHu5qrvbc+03cjnPB53yG5chGjp79QZHe+U7cgjKuBxJ34h/GopJ7r4kr
0QW5OK81ba1s5bIOk5TTIxxFCr3QkFxWE3sgH1vxC4WoYI49lgsmYA4OIzBm
OrE7fmqMvTuIWKc92t6GEPfhOIZjvnL5gTHK6aNqaLXrT/yAVeiqmu5GY9Yb
RuyJS7iPfsizOXAo+lrTUI21KNaalXiCtuiAC3iJzpiMKjyIXlvbz3riC/WC
vfNcZ5SjHlmhOWzsSNTgivK3mj1FOTqp5la7G5itGj7EEdV6Jh7jmM5iLi7i
ra0f/EytFu8wRTVZjFMYpRostdphaPQavYneE7l65zLeq1Y2xzdsRqnO4CRe
KRdb8zNxI0qifyONEj8Dq31t8Fyacm+8crK1T2Oc9nAVCc+rg/eI9VYDfs+I
3mPXkJF479i9WmxDOnrP29iy+rMMvpf90XujRLWu0llZzW1sRfTeSyu3A9G/
PcuxCfOd0d5tz3+jf9P2Lds3lMnzXToLO5PWifes9WpHnEUL7s1TDzXnulni
30JKuV/HLNXgluawsfYfkcX1Xp2tnXHLxHvSerFYY20P+ZrjpsbYu7ZmG65v
R/+vmYj/hLOeCA==
            "]]}]}, {}, {}, {}, {}}}, VertexColors -> CompressedData["
1:eJzFuvk3lf/3Pp4QmjNFITIWDQqpsFEaJCEKmSJjihClSUKmElIoQ+Yxhcwa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       "]], {
      PointSize[Large], 
      PointBox[
       NCache[{0, 
         Rational[-1, 3]}, {0, -0.3333333333333333}]]}, {{{{}, {}, 
        TagBox[{
          Directive[
           Opacity[1.], 
           RGBColor[0.368417, 0.506779, 0.709798], 
           AbsoluteThickness[1.6]], 
          LineBox[CompressedData["
1:eJw1mnk4Vd/3x0kyfIREiEpCSGXKFJYkJISQKSRNkiRExpBkJoTMZA6ZXZd9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           "]]}, Annotation[#, "Charting`Private`Tag$8717#1"]& ]}}, {}}}, {
    DisplayFunction -> Identity, AspectRatio -> 1, 
     AxesOrigin -> {Automatic, Automatic}, DisplayFunction :> Identity, Frame -> 
     True, FrameLabel -> {None, None}, 
     FrameTicks -> {{Automatic, Automatic}, {Automatic, Automatic}}, 
     GridLines -> {None, None}, GridLinesStyle -> Directive[
       GrayLevel[0.5, 0.4]], 
     Method -> {
      "DefaultBoundaryStyle" -> Automatic, "DefaultColorFunction" -> 
       "M10DefaultDensityGradient", 
       "DefaultGraphicsInteraction" -> {
        "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
         "Effects" -> {
          "Highlight" -> {"ratio" -> 2}, "HighlightPoint" -> {"ratio" -> 2}, 
           "Droplines" -> {
            "freeformCursorMode" -> True, 
             "placement" -> {"x" -> "All", "y" -> "None"}}}}, 
       "GridLinesInFront" -> True}, 
     PlotRange -> {{-0.3666666666666667, 0.3666666666666667}, {-0.55, 
      0.18333333333333335`}}, PlotRangeClipping -> True, PlotRangePadding -> {{
        Scaled[0.02], 
        Scaled[0.02]}, {
        Scaled[0.02], 
        Scaled[0.02]}}, Ticks -> {Automatic, Automatic}}], 
   FormBox[
    FormBox[
     TemplateBox[{
       FormBox[
        StyleBox[
         StyleBox[
          PaneBox[
           GraphicsBox[{
             RasterBox[CompressedData["
1:eJztl/lbjG3Yx6c9SVlC29NCqFCyVsqXtBDyaCHaqSS0aNdTSUpalJIlRZRS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              "], {{
                Rational[-15, 2], 
                Rational[-225, 2]}, {
                Rational[15, 2], 
                Rational[225, 2]}}], {Antialiasing -> False, 
              AbsoluteThickness[0.1], 
              Directive[
               Opacity[0.3], 
               GrayLevel[0]], 
              LineBox[
               NCache[{{
                  Rational[15, 2], 
                  Rational[-225, 2]}, {
                  Rational[-15, 2], 
                  Rational[-225, 2]}, {
                  Rational[-15, 2], 
                  Rational[225, 2]}, {
                  Rational[15, 2], 
                  Rational[225, 2]}, {
                  Rational[15, 2], 
                  Rational[-225, 2]}}, {{7.5, -112.5}, {-7.5, -112.5}, {-7.5, 
                112.5}, {7.5, 112.5}, {7.5, -112.5}}]]}, {
              CapForm[None], {}}, 
             StyleBox[{Antialiasing -> False, 
               StyleBox[
                
                LineBox[{{7.5, -112.49999999999997`}, {7.5, 
                 112.49999999999997`}}], {
                 Directive[
                  AbsoluteThickness[0.2], 
                  Opacity[0.3], 
                  GrayLevel[0]]}, StripOnInput -> False], 
               StyleBox[
                StyleBox[{{
                   StyleBox[
                    LineBox[{{{7.5, -77.07960644007153}, 
                    Offset[{4., 0}, {7.5, -77.07960644007153}]}, {{
                    7.5, -36.829159212880135`}, 
                    Offset[{4., 0}, {7.5, -36.829159212880135`}]}, {{7.5, 
                    3.421288014311269}, 
                    Offset[{4., 0}, {7.5, 3.421288014311269}]}, {{7.5, 
                    43.671735241502674`}, 
                    Offset[{4., 0}, {7.5, 43.671735241502674`}]}, {{7.5, 
                    83.92218246869407}, 
                    Offset[{4., 0}, {7.5, 83.92218246869407}]}}], {
                    Directive[
                    AbsoluteThickness[0.2], 
                    GrayLevel[0.4]]}, StripOnInput -> False], 
                   StyleBox[
                    LineBox[{{{7.5, -109.27996422182466`}, 
                    Offset[{2.5, 0.}, {7.5, -109.27996422182466`}]}, {{
                    7.5, -101.22987477638638`}, 
                    Offset[{2.5, 0.}, {7.5, -101.22987477638638`}]}, {{
                    7.5, -93.17978533094809}, 
                    Offset[{2.5, 0.}, {7.5, -93.17978533094809}]}, {{
                    7.5, -85.12969588550982}, 
                    Offset[{2.5, 0.}, {7.5, -85.12969588550982}]}, {{
                    7.5, -69.02951699463325}, 
                    Offset[{2.5, 0.}, {7.5, -69.02951699463325}]}, {{
                    7.5, -60.97942754919497}, 
                    Offset[{2.5, 0.}, {7.5, -60.97942754919497}]}, {{
                    7.5, -52.92933810375669}, 
                    Offset[{2.5, 0.}, {7.5, -52.92933810375669}]}, {{
                    7.5, -44.87924865831841}, 
                    Offset[{2.5, 0.}, {7.5, -44.87924865831841}]}, {{
                    7.5, -28.779069767441854`}, 
                    Offset[{2.5, 0.}, {7.5, -28.779069767441854`}]}, {{
                    7.5, -20.728980322003572`}, 
                    Offset[{2.5, 0.}, {7.5, -20.728980322003572`}]}, {{
                    7.5, -12.678890876565292`}, 
                    Offset[{2.5, 0.}, {7.5, -12.678890876565292`}]}, {{
                    7.5, -4.628801431127012}, 
                    Offset[{2.5, 0.}, {7.5, -4.628801431127012}]}, {{7.5, 
                    11.471377459749549`}, 
                    Offset[{2.5, 0.}, {7.5, 11.471377459749549`}]}, {{7.5, 
                    19.52146690518783}, 
                    Offset[{2.5, 0.}, {7.5, 19.52146690518783}]}, {{7.5, 
                    27.57155635062611}, 
                    Offset[{2.5, 0.}, {7.5, 27.57155635062611}]}, {{7.5, 
                    35.62164579606439}, 
                    Offset[{2.5, 0.}, {7.5, 35.62164579606439}]}, {{7.5, 
                    51.72182468694095}, 
                    Offset[{2.5, 0.}, {7.5, 51.72182468694095}]}, {{7.5, 
                    59.77191413237923}, 
                    Offset[{2.5, 0.}, {7.5, 59.77191413237923}]}, {{7.5, 
                    67.82200357781751}, 
                    Offset[{2.5, 0.}, {7.5, 67.82200357781751}]}, {{7.5, 
                    75.87209302325579}, 
                    Offset[{2.5, 0.}, {7.5, 75.87209302325579}]}, {{7.5, 
                    91.97227191413235}, 
                    Offset[{2.5, 0.}, {7.5, 91.97227191413235}]}, {{7.5, 
                    100.02236135957064`}, 
                    Offset[{2.5, 0.}, {7.5, 100.02236135957064`}]}, {{7.5, 
                    108.07245080500891`}, 
                    Offset[{2.5, 0.}, {7.5, 108.07245080500891`}]}}], {
                    Directive[
                    AbsoluteThickness[0.2], 
                    GrayLevel[0.4], 
                    Opacity[0.3]]}, StripOnInput -> False]}, 
                  StyleBox[
                   StyleBox[{{
                    StyleBox[{
                    InsetBox[
                    FormBox[
                    RowBox[{"-", "15"}], TraditionalForm], 
                    Offset[{7., 0.}, {7.5, -77.07960644007153}], 
                    ImageScaled[{0, 0.5}], Automatic, {1, 0}], 
                    InsetBox[
                    FormBox[
                    RowBox[{"-", "14"}], TraditionalForm], 
                    Offset[{7., 0.}, {7.5, -36.829159212880135`}], 
                    ImageScaled[{0, 0.5}], Automatic, {1, 0}], 
                    InsetBox[
                    FormBox[
                    RowBox[{"-", "13"}], TraditionalForm], 
                    Offset[{7., 0.}, {7.5, 3.421288014311269}], 
                    ImageScaled[{0, 0.5}], Automatic, {1, 0}], 
                    InsetBox[
                    FormBox[
                    RowBox[{"-", "12"}], TraditionalForm], 
                    Offset[{7., 0.}, {7.5, 43.671735241502674`}], 
                    ImageScaled[{0, 0.5}], Automatic, {1, 0}], 
                    InsetBox[
                    FormBox[
                    RowBox[{"-", "11"}], TraditionalForm], 
                    Offset[{7., 0.}, {7.5, 83.92218246869407}], 
                    ImageScaled[{0, 0.5}], Automatic, {1, 0}]}, {
                    Directive[
                    AbsoluteThickness[0.2], 
                    GrayLevel[0.4]], {
                    Directive[
                    Opacity[1]], 
                    Directive[
                    Opacity[1]]}}, StripOnInput -> False], 
                    
                    StyleBox[{{}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, \
{}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}}, {
                    Directive[
                    AbsoluteThickness[0.2], 
                    GrayLevel[0.4], 
                    Opacity[0.3]], {
                    Directive[
                    Opacity[1]], 
                    Directive[
                    Opacity[1]]}}, StripOnInput -> False]}, {}}, {{
                    Directive[
                    Opacity[1]], 
                    Directive[
                    Opacity[1]]}}, StripOnInput -> False], {"GraphicsLabel"}, 
                   StripOnInput -> False]}, {"GraphicsTicks"}, StripOnInput -> 
                 False], {{
                  Directive[
                   AbsoluteThickness[0.2], 
                   GrayLevel[0.4]], 
                  Directive[
                   AbsoluteThickness[0.2], 
                   GrayLevel[0.4], 
                   Opacity[0.3]]}}, StripOnInput -> False]}, {"GraphicsAxes"},
               StripOnInput -> False]}, PlotRangePadding -> Scaled[0.02], 
            PlotRange -> All, Frame -> True, 
            FrameTicks -> {{False, False}, {True, False}}, FrameStyle -> 
            Opacity[0], FrameTicksStyle -> Opacity[0], 
            ImageSize -> {Automatic, 225}, BaseStyle -> {}], Alignment -> 
           Left, AppearanceElements -> None, ImageMargins -> {{5, 5}, {5, 5}},
            ImageSizeAction -> "ResizeToFit"], LineIndent -> 0, StripOnInput -> 
          False], {FontFamily -> "Arial"}, Background -> Automatic, 
         StripOnInput -> False], TraditionalForm]}, "BarLegend", 
      DisplayFunction -> (#& ), 
      InterpretationFunction :> (RowBox[{"BarLegend", "[", 
         RowBox[{
           RowBox[{"{", 
             RowBox[{
               RowBox[{
                 RowBox[{
                   RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"ColorData", "[", "\"DarkRainbow\"", "]"}], "[", 
                    RowBox[{"Rescale", "[", 
                    RowBox[{"#1", ",", 
                    RowBox[{"{", 
                    RowBox[{"minError", ",", "maxError"}], "}"}]}], "]"}], 
                    "]"}], "&"}], ")"}], "[", "#1", "]"}], "&"}], ",", 
               RowBox[{"{", 
                 RowBox[{
                   RowBox[{"-", "15.884289396770361`"}], ",", 
                   RowBox[{"-", "10.285664943022915`"}]}], "}"}]}], "}"}], 
           ",", 
           RowBox[{"LabelStyle", "\[Rule]", 
             RowBox[{"{", "}"}]}], ",", 
           RowBox[{"LegendLayout", "\[Rule]", "\"Column\""}], ",", 
           RowBox[{"LegendMarkerSize", "\[Rule]", "225"}], ",", 
           RowBox[{"ScalingFunctions", "\[Rule]", 
             RowBox[{"{", 
               RowBox[{"Identity", ",", "Identity"}], "}"}]}], ",", 
           RowBox[{"Charting`TickSide", "\[Rule]", "Right"}], ",", 
           RowBox[{"ColorFunctionScaling", "\[Rule]", "False"}]}], "]"}]& )], 
     TraditionalForm], TraditionalForm]},
  "Legended",
  DisplayFunction->(GridBox[{{
      TagBox[
       ItemBox[
        PaneBox[
         TagBox[#, "SkipImageSizeLevel"], Alignment -> {Center, Baseline}, 
         BaselinePosition -> Baseline], DefaultBaseStyle -> "Labeled"], 
       "SkipImageSizeLevel"], 
      ItemBox[#2, DefaultBaseStyle -> "LabeledLabel"]}}, 
    GridBoxAlignment -> {"Columns" -> {{Center}}, "Rows" -> {{Center}}}, 
    AutoDelete -> False, GridBoxItemSize -> Automatic, 
    BaselinePosition -> {1, 1}]& ),
  Editable->True,
  InterpretationFunction->(RowBox[{"Legended", "[", 
     RowBox[{#, ",", 
       RowBox[{"Placed", "[", 
         RowBox[{#2, ",", "After"}], "]"}]}], "]"}]& )]], "Output",
 CellChangeTimes->{{3.863691485401544*^9, 3.8636915021477118`*^9}, 
   3.8636987278421144`*^9, {3.8679239822122784`*^9, 3.8679240217094555`*^9}, {
   3.8679242560881376`*^9, 3.8679242834990788`*^9}, 3.867924718064537*^9, 
   3.8679248423791933`*^9, {3.867924925503742*^9, 3.867924945177202*^9}, 
   3.867924976209689*^9, 3.8679252895300026`*^9, 3.867926031302483*^9},
 CellLabel->
  "Out[181]=",ExpressionUUID->"daeceacc-18c7-45c0-b225-44352eb35387"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{"**", 
    RowBox[{
    "*", " ", "Show", " ", "convergence", " ", "plot", " ", "of", " ", "QB2X",
      " ", "error", " ", "for", " ", "N", " ", "variation"}]}], " ", 
   "****)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"x", "=", 
     RowBox[{"Subdivide", "[", 
      RowBox[{"0", ",", "n", ",", "n"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"maxN", "[", "nn_", "]"}], ":=", "\[IndentingNewLine]", 
     RowBox[{"Module", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"err", ",", "data"}], "}"}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"err", "=", 
         RowBox[{"DLPQB2Xerror", "[", "nn", "]"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"data", "=", 
         RowBox[{"Table", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{"Re", "[", 
              RowBox[{"wevalPoints", "[", 
               RowBox[{"[", "idx", "]"}], "]"}], "]"}], ",", 
             RowBox[{"Im", "[", 
              RowBox[{"wevalPoints", "[", 
               RowBox[{"[", "idx", "]"}], "]"}], "]"}], ",", 
             RowBox[{"Abs", "[", 
              RowBox[{"err", "[", 
               RowBox[{"[", "idx", "]"}], "]"}], "]"}]}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"idx", ",", "1", ",", 
             RowBox[{"Length", "[", "err", "]"}]}], "}"}]}], "]"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"max", "=", 
         RowBox[{"Max", "[", 
          RowBox[{
           RowBox[{"Select", "[", 
            RowBox[{"data", ",", 
             RowBox[{
              RowBox[{
               RowBox[{"#", "[", 
                RowBox[{"[", "2", "]"}], "]"}], "<", 
               RowBox[{"sc", "[", 
                RowBox[{"#", "[", 
                 RowBox[{"[", "1", "]"}], "]"}], "]"}]}], "&"}]}], "]"}], "[", 
           RowBox[{"[", 
            RowBox[{"All", ",", "3"}], "]"}], "]"}], "]"}]}]}]}], 
      "\[IndentingNewLine]", "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"y", "=", 
     RowBox[{"ParallelTable", "[", 
      RowBox[{
       RowBox[{"maxN", "[", "nn", "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"nn", ",", "0", ",", "n"}], "}"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Export", "[", 
     RowBox[{"\"\<data/QB2X/DLP/Nconvergence.mat\>\"", ",", "y"}], "]"}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{"ListLogPlot", "[", 
    RowBox[{
     RowBox[{"Transpose", "@", 
      RowBox[{"{", 
       RowBox[{"x", ",", "y"}], "}"}]}], ",", 
     RowBox[{"Joined", "\[Rule]", "True"}]}], "]"}], 
   "\[IndentingNewLine]"}]}]], "Input",
 CellChangeTimes->{{3.862046914848606*^9, 3.8620470374029384`*^9}, 
   3.8620470784724216`*^9, 3.862047114941082*^9, {3.8620472716642656`*^9, 
   3.862047293289307*^9}, 3.86204736833344*^9, {3.8620474522347064`*^9, 
   3.862047458794787*^9}, {3.862047490042435*^9, 3.862047494413209*^9}, {
   3.862047613061854*^9, 3.8620476159533186`*^9}, {3.8623001980358*^9, 
   3.862300202540896*^9}, {3.8623046378208227`*^9, 3.862304639779086*^9}, {
   3.86231951949896*^9, 3.8623195222346087`*^9}, {3.8623815244703045`*^9, 
   3.862381580175889*^9}, {3.8623922173669167`*^9, 3.8623922626630244`*^9}, {
   3.8623923007690177`*^9, 3.8623923078580904`*^9}, {3.862392426024062*^9, 
   3.8623924429337792`*^9}, {3.862392488641601*^9, 3.862392494518075*^9}, {
   3.8623925264462023`*^9, 3.8623925575640955`*^9}, 3.8624065869320264`*^9, {
   3.8625632794664536`*^9, 3.8625632880561123`*^9}, {3.862563369805729*^9, 
   3.862563371287084*^9}, {3.86256373171144*^9, 3.86256373187746*^9}, {
   3.8625637901193037`*^9, 3.8625637918975425`*^9}, {3.862563842893467*^9, 
   3.8625638433712215`*^9}, {3.862563884264288*^9, 3.862563893250909*^9}, {
   3.8625649551246843`*^9, 3.862565007154314*^9}, {3.8625652513751683`*^9, 
   3.862565251831896*^9}, {3.862570969989417*^9, 3.862570970149436*^9}, {
   3.862571196051401*^9, 3.8625711974823885`*^9}, {3.8625745911957664`*^9, 
   3.862574599499467*^9}, {3.862582695510281*^9, 3.862582704493968*^9}, {
   3.862591682777564*^9, 3.8625916844509006`*^9}, {3.8625930584991465`*^9, 
   3.862593091150096*^9}, 3.862604294379187*^9, {3.862604355472033*^9, 
   3.86260436163824*^9}, {3.8626045613493595`*^9, 3.8626046030545797`*^9}, {
   3.8626046666227055`*^9, 3.862604676870857*^9}, {3.862604735093339*^9, 
   3.862604930480199*^9}, {3.8626049695055895`*^9, 3.8626049844146643`*^9}, {
   3.8629212789328127`*^9, 3.862921280310131*^9}, {3.8679240360815763`*^9, 
   3.8679240687468414`*^9}, {3.8679245537241273`*^9, 
   3.8679245648371124`*^9}, {3.867925171348372*^9, 3.867925176460271*^9}},
 CellLabel->
  "In[182]:=",ExpressionUUID->"349d30ee-fe70-4054-be5f-ed454356610d"],

Cell[BoxData[
 GraphicsBox[{{}, {{}, {}, 
    {RGBColor[0.368417, 0.506779, 0.709798], PointSize[0.012833333333333334`],
      AbsoluteThickness[1.6], LineBox[CompressedData["
1:eJxTTMoPSmViYGAQBWIQDQPzDlR4SDAIH4DwPti7cxjXiDWKQPkMDgzXHi2/
WCcO5XM4nK9manrPKAPlCzjctIrgaNqkBOWLOMxflHFO9TSML+FQeVf3Geth
FShfxmFdyKVtUbvUoXwFB87t0/56GmtA+UoOLFOrElIPa0L5Kg5ctlMOccbr
QPlqDjMKqi2XeOhD+RoOxUwcFQ/UYHwth7eaejJCLYZQvo7D2wjtQj1dIyhf
z2HqopXfGyJgfAMH438eGZtWGUP5hg4r9j5YyORiAuUbOWSw7lE4KWsK5Rs7
2Hzit5+1E8Y3cbhvdXAx43rzAwB73FcA
      "]]}}, {{}, {}}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->{True, True},
  AxesLabel->{None, None},
  AxesOrigin->{0, -25.165274637858303`},
  DisplayFunction->Identity,
  Frame->{{False, False}, {False, False}},
  FrameLabel->{{None, None}, {None, None}},
  FrameTicks->{{
     Charting`ScaledTicks[{Log, Exp}], 
     Charting`ScaledFrameTicks[{Identity, Identity}]}, {Automatic, Automatic}},
  GridLines->{None, None},
  GridLinesStyle->Directive[
    GrayLevel[0.5, 0.4]],
  Method->{
   "OptimizePlotMarkers" -> True, "OptimizePlotMarkers" -> True, 
    "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
        Identity[
         Part[#, 1]], 
        Exp[
         Part[#, 2]]}& ), "CopiedValueFunction" -> ({
        Identity[
         Part[#, 1]], 
        Exp[
         Part[#, 2]]}& )}},
  PlotRange->{{0, 20.}, {-25.165274637858303`, -4.750092632646696}},
  PlotRangeClipping->True,
  PlotRangePadding->{{
     Scaled[0.02], 
     Scaled[0.02]}, {
     Scaled[0.02], 
     Scaled[0.05]}},
  Ticks->FrontEndValueCache[{Automatic, 
     Charting`ScaledTicks[{Log, Exp}]}, {Automatic, {{-25.328436022934504`, 
       FormBox[
        TemplateBox[{"10", 
          RowBox[{"-", "11"}]}, "Superscript", SyntaxForm -> SuperscriptBox], 
        TraditionalForm], {0.01, 0.}}, {-18.420680743952367`, 
       FormBox[
        TemplateBox[{"10", 
          RowBox[{"-", "8"}]}, "Superscript", SyntaxForm -> SuperscriptBox], 
        TraditionalForm], {0.01, 0.}}, {-11.512925464970229`, 
       FormBox[
        TemplateBox[{"10", 
          RowBox[{"-", "5"}]}, "Superscript", SyntaxForm -> SuperscriptBox], 
        TraditionalForm], {0.01, 0.}}, {-4.605170185988091, 
       FormBox[
        TagBox[
         InterpretationBox[
          StyleBox["\"0.01\"", ShowStringCharacters -> False], 0.01, 
          AutoDelete -> True], NumberForm[#, {
           DirectedInfinity[1], 2}]& ], TraditionalForm], {0.01, 
       0.}}, {-23.025850929940457`, 
       FormBox[
        TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
       0.}}, {-20.72326583694641, 
       FormBox[
        TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
       0.}}, {-16.11809565095832, 
       FormBox[
        TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
       0.}}, {-13.815510557964274`, 
       FormBox[
        TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
       0.}}, {-9.210340371976182, 
       FormBox[
        TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
       0.}}, {-6.907755278982137, 
       FormBox[
        TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
       0.}}, {-2.3025850929940455`, 
       FormBox[
        TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
       0.}}}}]]], "Output",
 CellChangeTimes->{
  3.862563556697728*^9, 3.862563737188399*^9, 3.862563792622445*^9, 
   3.8625638239162865`*^9, {3.862563908345087*^9, 3.8625639224150295`*^9}, 
   3.862564911555998*^9, {3.862564956501957*^9, 3.8625650079779615`*^9}, 
   3.862565206054922*^9, 3.862571382212077*^9, 3.8625718521253242`*^9, 
   3.8625723739467344`*^9, 3.8625741605819225`*^9, 3.862574450591257*^9, 
   3.862574574853933*^9, 3.8625746212778797`*^9, 3.8625767059975586`*^9, 
   3.8625916349759345`*^9, 3.8625916954934673`*^9, 3.862592167872902*^9, 
   3.8625924932312193`*^9, 3.862593060569566*^9, 3.8625931069899197`*^9, 
   3.8625961303981657`*^9, 3.8626022428845987`*^9, 3.8626049538221664`*^9, 
   3.8626050036589746`*^9, 3.862641463398759*^9, 3.8626468042318764`*^9, 
   3.8627381890482855`*^9, 3.8627517618665085`*^9, 3.8629256141203394`*^9, 
   3.8634642262727075`*^9, 3.8634680305872307`*^9, 3.8636879184235263`*^9, 
   3.8636909830556593`*^9, 3.863691529141534*^9, 3.863698730283619*^9, 
   3.8679240713436356`*^9, 3.8679242563963137`*^9, 3.867924286923622*^9, 
   3.8679247185273867`*^9, 3.8679249281606884`*^9, 3.8679249803739176`*^9, 
   3.8679252898963876`*^9, 3.8679260316086645`*^9},
 CellLabel->
  "Out[186]=",ExpressionUUID->"7d65432f-2ab4-4aeb-bd84-c7db490604d7"]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{"**", 
    RowBox[{"*", " ", "Export", " ", "remaining", " ", "data"}]}], " ", 
   "****)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"Export", "[", 
     RowBox[{"\"\<data/QB2X/DLP/dataxy.mat\>\"", ",", "wevalPoints"}], "]"}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Export", "[", 
     RowBox[{"\"\<data/QB2X/DLP/error.mat\>\"", ",", 
      RowBox[{"ParallelTable", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"Log", "[", 
          RowBox[{"Abs", "[", 
           RowBox[{"DLPQB2Xerror", "[", "nn", "]"}], "]"}], "]"}], "/", 
         RowBox[{"Log", "[", "10", "]"}]}], ",", 
        RowBox[{"{", 
         RowBox[{"nn", ",", "0", ",", "n"}], "}"}]}], "]"}]}], "]"}], 
    ";"}]}]}]], "Input",
 CellChangeTimes->{{3.8625639791178775`*^9, 3.8625640656820917`*^9}, {
   3.8625642656248207`*^9, 3.862564268563083*^9}, {3.862564482481724*^9, 
   3.862564506523329*^9}, {3.862564628088234*^9, 3.86256466171712*^9}, {
   3.862564694322074*^9, 3.8625646965842085`*^9}, {3.8625652323218985`*^9, 
   3.8625652359685855`*^9}, 3.8625660741125517`*^9, {3.8625663204571195`*^9, 
   3.862566330330915*^9}, 3.862570966925419*^9, {3.86257121138697*^9, 
   3.8625712127521086`*^9}, {3.8625924562066107`*^9, 3.862592464718226*^9}, {
   3.862592523950348*^9, 3.8625925394125085`*^9}, {3.8679242991533527`*^9, 
   3.867924324871287*^9}, {3.8679251837088833`*^9, 3.8679251893580093`*^9}},
 CellLabel->
  "In[187]:=",ExpressionUUID->"2d35ecb0-4f87-4813-b93c-c9b34863ca17"]
},
WindowSize->{1920, 1007},
WindowMargins->{{Automatic, 1912}, {Automatic, -8}},
TaggingRules->{
 "WelcomeScreenSettings" -> {"FEStarting" -> False}, "TryRealOnly" -> False},
Magnification:>1.2 Inherited,
FrontEndVersion->"12.2 for Microsoft Windows (64-bit) (December 12, 2020)",
StyleDefinitions->"Default.nb",
ExpressionUUID->"f879c564-a744-4fae-a32e-416636fbc8bf"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[558, 20, 18003, 410, 1230, "Input",ExpressionUUID->"0f0c5f9b-3b54-4d73-87c3-ccbff447de20"],
Cell[CellGroupData[{
Cell[18586, 434, 7907, 173, 276, "Input",ExpressionUUID->"eb6e68bc-1513-461c-80e4-878fac9ed06f"],
Cell[26496, 609, 5651, 76, 39, "Output",ExpressionUUID->"e8dfc40d-f263-48ba-a4a3-5a9684afc818"],
Cell[32150, 687, 21594, 355, 288, "Output",ExpressionUUID->"55a25d57-9fca-41de-8de8-f049870727b4"]
}, Open  ]],
Cell[53759, 1045, 5236, 144, 204, "Input",ExpressionUUID->"665d3445-340e-4524-9ed8-08230f267e36"],
Cell[58998, 1191, 5814, 155, 358, "Input",ExpressionUUID->"a10e831e-098e-43aa-80ae-60f7a4752f31"],
Cell[CellGroupData[{
Cell[64837, 1350, 6050, 155, 468, "Input",ExpressionUUID->"82c1ba98-44ad-4162-a4f6-15d8e7eda600"],
Cell[70890, 1507, 309, 5, 39, "Output",ExpressionUUID->"50d3ebb1-64fc-4843-82b0-9885f3382541"],
Cell[71202, 1514, 308, 5, 39, "Output",ExpressionUUID->"6cf14e35-a0a8-4f98-a3ba-4115407ba142"]
}, Open  ]],
Cell[CellGroupData[{
Cell[71547, 1524, 1625, 43, 204, "Input",ExpressionUUID->"14b5b772-79ba-45a7-bfce-dd44005a1a23"],
Cell[73175, 1569, 612, 12, 39, "Output",ExpressionUUID->"f5de2062-82e6-4178-b3f0-70275d7b3623"]
}, Open  ]],
Cell[CellGroupData[{
Cell[73824, 1586, 1046, 26, 60, "Input",ExpressionUUID->"92b56c06-8574-48da-8409-a8bdc7d9034a"],
Cell[74873, 1614, 1019, 19, 39, "Output",ExpressionUUID->"4da116d3-d7b6-4bba-acdf-63e7d66b7ed6"]
}, Open  ]],
Cell[CellGroupData[{
Cell[75929, 1638, 779, 22, 60, "Input",ExpressionUUID->"7d8c08ac-db82-4082-9c65-334cd2028590"],
Cell[76711, 1662, 1074, 19, 39, "Output",ExpressionUUID->"6bd1fd28-f5ea-456d-b7a1-f6ffbf90c62f"]
}, Open  ]],
Cell[CellGroupData[{
Cell[77822, 1686, 780, 22, 60, "Input",ExpressionUUID->"ae937fe0-ccdc-42c8-844b-cb1d67c46ae4"],
Cell[78605, 1710, 1088, 20, 39, "Output",ExpressionUUID->"db403aa8-0689-4121-a7fa-f797a99e814c"]
}, Open  ]],
Cell[CellGroupData[{
Cell[79730, 1735, 10586, 236, 612, "Input",ExpressionUUID->"b2ac60a3-7dfa-4efc-98af-0527a7ecf2bc"],
Cell[90319, 1973, 259, 4, 39, "Output",ExpressionUUID->"7beb2462-a9db-4671-b167-df86876cb437"]
}, Open  ]],
Cell[CellGroupData[{
Cell[90615, 1982, 9416, 221, 612, "Input",ExpressionUUID->"25e60f74-0075-4da8-8b19-7f84db98b847"],
Cell[100034, 2205, 868, 13, 39, "Output",ExpressionUUID->"5008f726-15ce-463e-b04f-38a8eb70185c"]
}, Open  ]],
Cell[CellGroupData[{
Cell[100939, 2223, 8187, 207, 348, "Input",ExpressionUUID->"b0a9c1ab-64b4-4df6-845e-4a4b46e285da"],
Cell[109129, 2432, 654, 10, 39, "Output",ExpressionUUID->"51dfb0eb-9423-40ff-aae3-5b02b1228888"]
}, Open  ]],
Cell[CellGroupData[{
Cell[109820, 2447, 8556, 189, 708, "Input",ExpressionUUID->"1b95587a-595b-4848-8563-571a79922420"],
Cell[118379, 2638, 701, 11, 39, "Output",ExpressionUUID->"969ba906-e12f-422d-b5f8-e35c9b4d0301"]
}, Open  ]],
Cell[119095, 2652, 974, 24, 60, "Input",ExpressionUUID->"4a4e1a5f-1cae-4b68-9f30-487f5a34e9d7"],
Cell[CellGroupData[{
Cell[120094, 2680, 10068, 211, 396, "Input",ExpressionUUID->"84b8ef10-d532-4dd4-b8a4-db0e12700455"],
Cell[130165, 2893, 516, 8, 39, "Output",ExpressionUUID->"91192069-be94-4812-8567-0d8c271d677b"],
Cell[130684, 2903, 53741, 951, 444, "Output",ExpressionUUID->"daeceacc-18c7-45c0-b225-44352eb35387"]
}, Open  ]],
Cell[CellGroupData[{
Cell[184462, 3859, 4826, 105, 300, "Input",ExpressionUUID->"349d30ee-fe70-4054-be5f-ed454356610d"],
Cell[189291, 3966, 4607, 102, 284, "Output",ExpressionUUID->"7d65432f-2ab4-4aeb-bd84-c7db490604d7"]
}, Open  ]],
Cell[193913, 4071, 1557, 34, 84, "Input",ExpressionUUID->"2d35ecb0-4f87-4813-b93c-c9b34863ca17"]
}
]
*)

